import { ViewportScroller } from '@angular/common';
import { AfterViewChecked, ElementRef, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Notifier, ServerService } from '@app/core';
import { InstanceService } from '@app/shared/shared-instance';
import { ContactAdminModalComponent } from './contact-admin-modal.component';
export declare class AboutInstanceComponent implements OnInit, AfterViewChecked {
    private viewportScroller;
    private route;
    private notifier;
    private serverService;
    private instanceService;
    descriptionWrapper: ElementRef<HTMLInputElement>;
    contactAdminModal: ContactAdminModalComponent;
    shortDescription: string;
    descriptionContent: string;
    html: {
        terms: string;
        codeOfConduct: string;
        moderationInformation: string;
        administrator: string;
        creationReason: string;
        maintenanceLifetime: string;
        businessModel: string;
        hardwareInformation: string;
    };
    languages: string[];
    categories: string[];
    initialized: boolean;
    private serverConfig;
    private lastScrollHash;
    constructor(viewportScroller: ViewportScroller, route: ActivatedRoute, notifier: Notifier, serverService: ServerService, instanceService: InstanceService);
    get instanceName(): string;
    get isContactFormEnabled(): boolean;
    get isNSFW(): boolean;
    ngOnInit(): Promise<void>;
    ngAfterViewChecked(): void;
    onClickCopyLink(anchor: HTMLAnchorElement): void;
}
