import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Notifier, ServerService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { InstanceService } from '@app/shared/shared-instance';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
declare type Prefill = {
    subject?: string;
    body?: string;
};
export declare class ContactAdminModalComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private router;
    private modalService;
    private instanceService;
    private serverService;
    private notifier;
    modal: NgbModal;
    error: string;
    private openedModal;
    private serverConfig;
    constructor(formValidatorService: FormValidatorService, router: Router, modalService: NgbModal, instanceService: InstanceService, serverService: ServerService, notifier: Notifier);
    get instanceName(): string;
    ngOnInit(): void;
    isContactFormEnabled(): boolean;
    show(prefill?: Prefill): void;
    hide(): void;
    sendForm(): void;
    private prefillForm;
}
export {};
