import { Subject } from 'rxjs';
import { OnDestroy, OnInit } from '@angular/core';
import { ComponentPagination, MarkdownService, User, UserService } from '@app/core';
import { Account, AccountService, Video, VideoChannel, VideoChannelService, VideoService } from '@app/shared/shared-main';
import { MiniatureDisplayOptions } from '@app/shared/shared-video-miniature';
import { NSFWPolicyType, VideoSortField } from '@shared/models';
export declare class AccountVideoChannelsComponent implements OnInit, OnDestroy {
    private accountService;
    private videoChannelService;
    private videoService;
    private markdown;
    private userService;
    account: Account;
    videoChannels: VideoChannel[];
    videos: {
        [id: number]: {
            total: number;
            videos: Video[];
        };
    };
    channelsDescriptionHTML: {
        [id: number]: string;
    };
    channelPagination: ComponentPagination;
    videosPagination: ComponentPagination;
    videosSort: VideoSortField;
    onChannelDataSubject: Subject<any>;
    userMiniature: User;
    nsfwPolicy: NSFWPolicyType;
    miniatureDisplayOptions: MiniatureDisplayOptions;
    private accountSub;
    constructor(accountService: AccountService, videoChannelService: VideoChannelService, videoService: VideoService, markdown: MarkdownService, userService: UserService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadMoreChannels(): void;
    getVideosOf(videoChannel: VideoChannel): Video[];
    getTotalVideosOf(videoChannel: VideoChannel): number;
    getChannelDescription(videoChannel: VideoChannel): string;
    onNearOfBottom(): void;
    getVideoChannelLink(videoChannel: VideoChannel): string[];
}
