import { OnDestroy, OnInit } from '@angular/core';
import { ComponentPaginationLight, DisableForReuseHook, ScreenService } from '@app/core';
import { Account, AccountService, VideoService } from '@app/shared/shared-main';
import { VideoFilters } from '@app/shared/shared-video-miniature';
import { VideoSortField } from '@shared/models';
export declare class AccountVideosComponent implements OnInit, OnDestroy, DisableForReuseHook {
    private screenService;
    private accountService;
    private videoService;
    getVideosObservableFunction: (pagination: ComponentPaginationLight, filters: VideoFilters) => import("rxjs").Observable<import("@shared/models").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItemsFunction: () => {
        format: import("@shared/models").FeedFormat;
        label: string;
        url: string;
    }[];
    title: string;
    defaultSort: VideoSortField;
    account: Account;
    disabled: boolean;
    private accountSub;
    constructor(screenService: ScreenService, accountService: AccountService, videoService: VideoService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getVideosObservable(pagination: ComponentPaginationLight, filters: VideoFilters): import("rxjs").Observable<import("@shared/models").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItems(): {
        format: import("@shared/models").FeedFormat;
        label: string;
        url: string;
    }[];
    displayAsRow(): boolean;
    disableForReuse(): void;
    enabledForReuse(): void;
}
