import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, MarkdownService, Notifier, RedirectService, RestExtractor, ScreenService, UserService } from '@app/core';
import { Account, AccountService, DropdownAction, ListOverflowItem, VideoChannel, VideoChannelService, VideoService } from '@app/shared/shared-main';
import { AccountReportComponent } from '@app/shared/shared-moderation';
import { User } from '@shared/models';
export declare class AccountsComponent implements OnInit, OnDestroy {
    private route;
    private router;
    private userService;
    private accountService;
    private videoChannelService;
    private notifier;
    private restExtractor;
    private redirectService;
    private authService;
    private videoService;
    private markdown;
    private screenService;
    accountReportModal: AccountReportComponent;
    account: Account;
    accountUser: User;
    videoChannels: VideoChannel[];
    links: ListOverflowItem[];
    hideMenu: boolean;
    accountFollowerTitle: string;
    accountVideosCount: number;
    accountDescriptionHTML: string;
    accountDescriptionExpanded: boolean;
    prependModerationActions: DropdownAction<any>[];
    private routeSub;
    constructor(route: ActivatedRoute, router: Router, userService: UserService, accountService: AccountService, videoChannelService: VideoChannelService, notifier: Notifier, restExtractor: RestExtractor, redirectService: RedirectService, authService: AuthService, videoService: VideoService, markdown: MarkdownService, screenService: ScreenService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    naiveAggregatedSubscribers(): number;
    isUserLoggedIn(): boolean;
    isInSmallView(): boolean;
    isManageable(): boolean;
    onUserChanged(): void;
    onUserDeleted(): void;
    activateCopiedMessage(): void;
    subscribersDisplayFor(count: number): string;
    searchChanged(search: string): void;
    onSearchInputDisplayChanged(displayed: boolean): void;
    hasVideoChannels(): boolean;
    hasShowMoreDescription(): boolean;
    isOnChannelPage(): boolean;
    private onAccount;
    private showReportModal;
    private loadUserIfNeeded;
    private updateModerationActions;
    private loadAccountVideosCount;
}
