import { SelectOptionsItem } from 'src/types/select-options-item.model';
import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MenuService } from '@app/core';
import { HTMLServerConfig } from '@shared/models';
import { ConfigService } from '../shared/config.service';
export declare class EditBasicConfigurationComponent implements OnInit, OnChanges {
    private configService;
    private menuService;
    form: FormGroup;
    formErrors: any;
    serverConfig: HTMLServerConfig;
    signupAlertMessage: string;
    defaultLandingPageOptions: SelectOptionsItem[];
    constructor(configService: ConfigService, menuService: MenuService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getVideoQuotaOptions(): SelectOptionsItem[];
    getVideoQuotaDailyOptions(): SelectOptionsItem[];
    getAvailableThemes(): string[];
    doesTrendingVideosAlgorithmsEnabledInclude(algorithm: string): boolean;
    isSignupEnabled(): boolean;
    getDisabledSignupClass(): {
        'disabled-checkbox-extra': boolean;
    };
    hasUnlimitedSignup(): boolean;
    isSearchIndexEnabled(): boolean;
    getDisabledSearchIndexClass(): {
        'disabled-checkbox-extra': boolean;
    };
    isAutoFollowIndexEnabled(): boolean;
    buildLandingPageOptions(): void;
    private checkSignupField;
}
