import { FormGroup } from '@angular/forms';
export declare type ResolutionOption = {
    id: string;
    label: string;
    description?: string;
};
export declare class EditConfigurationService {
    getVODResolutions(): ({
        id: string;
        label: string;
        description: string;
    } | {
        id: string;
        label: string;
        description?: undefined;
    })[];
    getLiveResolutions(): ({
        id: string;
        label: string;
        description: string;
    } | {
        id: string;
        label: string;
        description?: undefined;
    })[];
    isTranscodingEnabled(form: FormGroup): boolean;
    isLiveEnabled(form: FormGroup): boolean;
    isLiveTranscodingEnabled(form: FormGroup): boolean;
    getTotalTranscodingThreads(form: FormGroup): {
        value: number;
        atMost: boolean;
        unit: string;
    };
}
