import { SelectOptionsItem } from 'src/types/select-options-item.model';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ConfigService } from '@app/+admin/config/shared/config.service';
import { Notifier } from '@app/core';
import { ServerService } from '@app/core/server/server.service';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { CustomPageService } from '@app/shared/shared-main/custom-page';
import { CustomConfig, CustomPage, HTMLServerConfig } from '@shared/models';
import { EditConfigurationService } from './edit-configuration.service';
declare type ComponentCustomConfig = CustomConfig & {
    instanceCustomHomepage: CustomPage;
};
export declare class EditCustomConfigComponent extends FormReactive implements OnInit {
    private router;
    private route;
    protected formValidatorService: FormValidatorService;
    private notifier;
    private configService;
    private customPage;
    private serverService;
    private editConfigurationService;
    activeNav: string;
    customConfig: ComponentCustomConfig;
    serverConfig: HTMLServerConfig;
    homepage: CustomPage;
    languageItems: SelectOptionsItem[];
    categoryItems: SelectOptionsItem[];
    constructor(router: Router, route: ActivatedRoute, formValidatorService: FormValidatorService, notifier: Notifier, configService: ConfigService, customPage: CustomPageService, serverService: ServerService, editConfigurationService: EditConfigurationService);
    ngOnInit(): void;
    formValidated(): void;
    isUpdateAllowed(): boolean;
    hasConsistentOptions(): boolean;
    hasLiveAllowReplayConsistentOptions(): boolean;
    onNavChange(newActiveNav: string): void;
    grabAllErrors(errorObjectArg?: any): string[];
    private updateForm;
    private loadConfigAndUpdateForm;
    private loadCategoriesAndLanguages;
}
export {};
