import { SelectOptionsItem } from 'src/types/select-options-item.model';
import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { HTMLServerConfig } from '@shared/models';
import { ConfigService } from '../shared/config.service';
import { EditConfigurationService, ResolutionOption } from './edit-configuration.service';
export declare class EditLiveConfigurationComponent implements OnInit, OnChanges {
    private configService;
    private editConfigurationService;
    form: FormGroup;
    formErrors: any;
    serverConfig: HTMLServerConfig;
    transcodingThreadOptions: SelectOptionsItem[];
    transcodingProfiles: SelectOptionsItem[];
    liveMaxDurationOptions: SelectOptionsItem[];
    liveResolutions: ResolutionOption[];
    constructor(configService: ConfigService, editConfigurationService: EditConfigurationService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    buildAvailableTranscodingProfile(): {
        id: string;
        label: string;
        description: string;
    }[];
    getResolutionKey(resolution: string): string;
    getLiveRTMPPort(): number;
    isLiveEnabled(): boolean;
    getDisabledLiveClass(): {
        'disabled-checkbox-extra': boolean;
    };
    getDisabledLiveTranscodingClass(): {
        'disabled-checkbox-extra': boolean;
    };
    isLiveTranscodingEnabled(): boolean;
    getTotalTranscodingThreads(): {
        value: number;
        atMost: boolean;
        unit: string;
    };
}
