import { SelectOptionsItem } from 'src/types/select-options-item.model';
import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { HTMLServerConfig } from '@shared/models';
import { ConfigService } from '../shared/config.service';
import { EditConfigurationService, ResolutionOption } from './edit-configuration.service';
export declare class EditVODTranscodingComponent implements OnInit, OnChanges {
    private configService;
    private editConfigurationService;
    form: FormGroup;
    formErrors: any;
    serverConfig: HTMLServerConfig;
    transcodingThreadOptions: SelectOptionsItem[];
    transcodingProfiles: SelectOptionsItem[];
    resolutions: ResolutionOption[];
    additionalVideoExtensions: string;
    constructor(configService: ConfigService, editConfigurationService: EditConfigurationService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    buildAvailableTranscodingProfile(): {
        id: string;
        label: string;
        description: string;
    }[];
    getResolutionKey(resolution: string): string;
    isTranscodingEnabled(): boolean;
    getTranscodingDisabledClass(): {
        'disabled-checkbox-extra': boolean;
    };
    getTotalTranscodingThreads(): {
        value: number;
        atMost: boolean;
        unit: string;
    };
    private checkTranscodingFields;
}
