import { ChartData, ChartOptions } from 'chart.js';
import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ConfirmService, Notifier, RestPagination, RestTable, ServerService } from '@app/core';
import { RedundancyService } from '@app/shared/shared-main';
import { VideoRedundanciesTarget, VideoRedundancy } from '@shared/models';
import { VideosRedundancyStats } from '@shared/models/server';
export declare class VideoRedundanciesListComponent extends RestTable implements OnInit {
    private notifier;
    private confirmService;
    private redundancyService;
    private serverService;
    private static LOCAL_STORAGE_DISPLAY_TYPE;
    videoRedundancies: VideoRedundancy[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    displayType: VideoRedundanciesTarget;
    redundanciesGraphsData: {
        stats: VideosRedundancyStats;
        graphData: ChartData;
        options: ChartOptions;
    }[];
    noRedundancies: boolean;
    private bytesPipe;
    constructor(notifier: Notifier, confirmService: ConfirmService, redundancyService: RedundancyService, serverService: ServerService);
    getIdentifier(): string;
    ngOnInit(): void;
    getColspan(): 4 | 5;
    isDisplayingRemoteVideos(): boolean;
    getTotalSize(redundancy: VideoRedundancy): number;
    onDisplayTypeChanged(): void;
    getRedundancyStrategy(redundancy: VideoRedundancy): string;
    buildPieData(stats: VideosRedundancyStats): void;
    removeRedundancy(redundancy: VideoRedundancy): Promise<void>;
    protected reloadData(): void;
    private loadSelectLocalStorage;
    private saveSelectLocalStorage;
}
