import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ConfirmService, MarkdownService, Notifier, RestPagination, RestTable, ServerService } from '@app/core';
import { AdvancedInputFilter } from '@app/shared/shared-forms';
import { DropdownAction, VideoService } from '@app/shared/shared-main';
import { VideoBlockService } from '@app/shared/shared-moderation';
import { VideoBlacklist, VideoBlacklistType } from '@shared/models';
export declare class VideoBlockListComponent extends RestTable implements OnInit {
    protected route: ActivatedRoute;
    protected router: Router;
    private notifier;
    private serverService;
    private confirmService;
    private videoBlocklistService;
    private markdownRenderer;
    private videoService;
    blocklist: (VideoBlacklist & {
        reasonHtml?: string;
    })[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    blocklistTypeFilter: VideoBlacklistType;
    videoBlocklistActions: DropdownAction<VideoBlacklist>[][];
    inputFilters: AdvancedInputFilter[];
    constructor(route: ActivatedRoute, router: Router, notifier: Notifier, serverService: ServerService, confirmService: ConfirmService, videoBlocklistService: VideoBlockService, markdownRenderer: MarkdownService, videoService: VideoService);
    ngOnInit(): void;
    getIdentifier(): string;
    toHtml(text: string): Promise<string>;
    unblockVideo(entry: VideoBlacklist): Promise<void>;
    getVideoEmbed(entry: VideoBlacklist): string;
    protected reloadData(): void;
}
