import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, ConfirmService, MarkdownService, Notifier, RestPagination, RestTable } from '@app/core';
import { AdvancedInputFilter } from '@app/shared/shared-forms';
import { DropdownAction } from '@app/shared/shared-main';
import { BulkService } from '@app/shared/shared-moderation';
import { VideoCommentAdmin, VideoCommentService } from '@app/shared/shared-video-comment';
import { FeedFormat } from '@shared/models';
export declare class VideoCommentListComponent extends RestTable implements OnInit {
    protected router: Router;
    protected route: ActivatedRoute;
    private auth;
    private notifier;
    private confirmService;
    private videoCommentService;
    private markdownRenderer;
    private bulkService;
    comments: VideoCommentAdmin[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    videoCommentActions: DropdownAction<VideoCommentAdmin>[][];
    syndicationItems: {
        format: FeedFormat;
        label: string;
        url: string;
    }[];
    selectedComments: VideoCommentAdmin[];
    bulkCommentActions: DropdownAction<VideoCommentAdmin[]>[];
    inputFilters: AdvancedInputFilter[];
    get authUser(): import("@app/core").AuthUser;
    constructor(router: Router, route: ActivatedRoute, auth: AuthService, notifier: Notifier, confirmService: ConfirmService, videoCommentService: VideoCommentService, markdownRenderer: MarkdownService, bulkService: BulkService);
    ngOnInit(): void;
    getIdentifier(): string;
    toHtml(text: string): Promise<string>;
    isInSelectionMode(): boolean;
    protected reloadData(): void;
    private removeComments;
    private deleteComment;
    private deleteUserComments;
}
