import { OnInit } from '@angular/core';
import { ConfigService } from '@app/+admin/config/shared/config.service';
import { AuthService, ScreenService, ServerService, User } from '@app/core';
import { FormReactive } from '@app/shared/shared-forms';
import { HTMLServerConfig, UserAdminFlag } from '@shared/models';
import { SelectOptionsItem } from '../../../../../types/select-options-item.model';
export declare abstract class UserEdit extends FormReactive implements OnInit {
    videoQuotaOptions: SelectOptionsItem[];
    videoQuotaDailyOptions: SelectOptionsItem[];
    username: string;
    user: User;
    roles: {
        value: string;
        label: string;
    }[];
    protected serverConfig: HTMLServerConfig;
    protected abstract serverService: ServerService;
    protected abstract configService: ConfigService;
    protected abstract screenService: ScreenService;
    protected abstract auth: AuthService;
    abstract isCreation(): boolean;
    abstract getFormButtonTitle(): string;
    ngOnInit(): void;
    get subscribersCount(): number;
    getAuthPlugins(): string[];
    isInBigView(): boolean;
    buildRoles(): void;
    isTranscodingInformationDisplayed(): boolean;
    computeQuotaWithTranscoding(): number;
    resetPassword(): void;
    protected buildAdminFlags(formValue: any): UserAdminFlag;
    protected buildQuotaOptions(): void;
}
