import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, ConfirmService, Notifier, RestPagination, RestTable, ServerService, UserService } from '@app/core';
import { AdvancedInputFilter } from '@app/shared/shared-forms';
import { DropdownAction } from '@app/shared/shared-main';
import { UserBanModalComponent } from '@app/shared/shared-moderation';
import { User, UserRole } from '@shared/models';
declare type UserForList = User & {
    rawVideoQuota: number;
    rawVideoQuotaUsed: number;
    rawVideoQuotaDaily: number;
    rawVideoQuotaUsedDaily: number;
};
export declare class UserListComponent extends RestTable implements OnInit {
    protected route: ActivatedRoute;
    protected router: Router;
    private notifier;
    private confirmService;
    private serverService;
    private auth;
    private userService;
    userBanModal: UserBanModalComponent;
    users: User[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    highlightBannedUsers: boolean;
    selectedUsers: User[];
    bulkUserActions: DropdownAction<User[]>[][];
    columns: {
        id: string;
        label: string;
    }[];
    inputFilters: AdvancedInputFilter[];
    requiresEmailVerification: boolean;
    private _selectedColumns;
    constructor(route: ActivatedRoute, router: Router, notifier: Notifier, confirmService: ConfirmService, serverService: ServerService, auth: AuthService, userService: UserService);
    get authUser(): import("@app/core").AuthUser;
    get selectedColumns(): string[];
    set selectedColumns(val: string[]);
    ngOnInit(): void;
    getIdentifier(): string;
    getRoleClass(role: UserRole): "badge-blue" | "badge-yellow" | "badge-purple";
    isSelected(id: string): string;
    getColumn(id: string): {
        id: string;
        label: string;
    };
    getUserVideoQuotaPercentage(user: UserForList): number;
    getUserVideoQuotaDailyPercentage(user: UserForList): number;
    openBanUserModal(users: User[]): void;
    onUserChanged(): void;
    unbanUsers(users: User[]): Promise<void>;
    removeUsers(users: User[]): Promise<void>;
    setEmailsAsVerified(users: User[]): void;
    isInSelectionMode(): boolean;
    protected reloadData(): void;
}
export {};
