import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { AdvancedInputFilter } from '@app/shared/shared-forms';
import { CommonVideoParams, Video, VideoService } from '@app/shared/shared-main';
import { ResultList } from '@shared/models';
export declare class VideoAdminService {
    private videoService;
    private authHttp;
    private restExtractor;
    private restService;
    constructor(videoService: VideoService, authHttp: HttpClient, restExtractor: RestExtractor, restService: RestService);
    getAdminVideos(options: CommonVideoParams & {
        pagination: RestPagination;
        search?: string;
    }): Observable<ResultList<Video>>;
    buildAdminInputFilter(): AdvancedInputFilter[];
    private buildAdminParamsFromSearch;
}
