import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, ConfirmService, Notifier, RestPagination, RestTable } from '@app/core';
import { AdvancedInputFilter } from '@app/shared/shared-forms';
import { DropdownAction, Video, VideoService } from '@app/shared/shared-main';
import { VideoBlockComponent, VideoBlockService } from '@app/shared/shared-moderation';
import { VideoActionsDisplayType } from '@app/shared/shared-video-miniature';
import { VideoAdminService } from './video-admin.service';
export declare class VideoListComponent extends RestTable implements OnInit {
    protected route: ActivatedRoute;
    protected router: Router;
    private confirmService;
    private auth;
    private notifier;
    private videoService;
    private videoAdminService;
    private videoBlockService;
    videoBlockModal: VideoBlockComponent;
    videos: Video[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    bulkVideoActions: DropdownAction<Video[]>[][];
    selectedVideos: Video[];
    inputFilters: AdvancedInputFilter[];
    videoActionsOptions: VideoActionsDisplayType;
    loading: boolean;
    constructor(route: ActivatedRoute, router: Router, confirmService: ConfirmService, auth: AuthService, notifier: Notifier, videoService: VideoService, videoAdminService: VideoAdminService, videoBlockService: VideoBlockService);
    get authUser(): import("@app/core").AuthUser;
    ngOnInit(): void;
    getIdentifier(): string;
    isInSelectionMode(): boolean;
    getPrivacyBadgeClass(video: Video): "badge-green" | "badge-yellow";
    isUnpublished(video: Video): boolean;
    isAccountBlocked(video: Video): boolean;
    isServerBlocked(video: Video): boolean;
    isVideoBlocked(video: Video): boolean;
    isImport(video: Video): boolean;
    isHLS(video: Video): boolean;
    isWebTorrent(video: Video): boolean;
    getFilesSize(video: Video): number;
    reloadData(): void;
    private removeVideos;
    private unblockVideos;
    private removeVideoFiles;
    private runTranscoding;
}
