import { Subject } from 'rxjs';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { PluginApiService } from '@app/+admin/plugins/shared/plugin-api.service';
import { ComponentPagination, ConfirmService, Notifier } from '@app/core';
import { PluginService } from '@app/core/plugins/plugin.service';
import { PeerTubePlugin, PluginType } from '@shared/models';
export declare class PluginListInstalledComponent implements OnInit {
    private pluginService;
    private pluginApiService;
    private notifier;
    private confirmService;
    private router;
    private route;
    pluginTypeOptions: {
        label: string;
        value: PluginType;
    }[];
    pluginType: PluginType;
    pagination: ComponentPagination;
    sort: string;
    plugins: PeerTubePlugin[];
    updating: {
        [name: string]: boolean;
    };
    onDataSubject: Subject<any[]>;
    constructor(pluginService: PluginService, pluginApiService: PluginApiService, notifier: Notifier, confirmService: ConfirmService, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    reloadPlugins(): void;
    loadMorePlugins(): void;
    onNearOfBottom(): void;
    getNoResultMessage(): string;
    isUpdateAvailable(plugin: PeerTubePlugin): boolean;
    getUpdateLabel(plugin: PeerTubePlugin): string;
    isUpdating(plugin: PeerTubePlugin): boolean;
    isTheme(plugin: PeerTubePlugin): boolean;
    uninstall(plugin: PeerTubePlugin): Promise<void>;
    update(plugin: PeerTubePlugin): Promise<void>;
    getShowRouterLink(plugin: PeerTubePlugin): string[];
    getPluginOrThemeHref(name: string): string;
    private getUpdatingKey;
    private isMajorUpgrade;
}
