import { Subject } from 'rxjs';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { PluginApiService } from '@app/+admin/plugins/shared/plugin-api.service';
import { ComponentPagination, ConfirmService, Notifier, PluginService } from '@app/core';
import { PeerTubePluginIndex, PluginType } from '@shared/models';
export declare class PluginSearchComponent implements OnInit {
    private pluginService;
    private pluginApiService;
    private notifier;
    private confirmService;
    private router;
    private route;
    pluginTypeOptions: {
        label: string;
        value: PluginType;
    }[];
    pluginType: PluginType;
    pagination: ComponentPagination;
    sort: string;
    search: string;
    isSearching: boolean;
    plugins: PeerTubePluginIndex[];
    installing: {
        [name: string]: boolean;
    };
    pluginInstalled: boolean;
    onDataSubject: Subject<any[]>;
    private searchSubject;
    constructor(pluginService: PluginService, pluginApiService: PluginApiService, notifier: Notifier, confirmService: ConfirmService, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    onSearchChange(event: Event): void;
    reloadPlugins(): void;
    loadMorePlugins(): void;
    onNearOfBottom(): void;
    isInstalling(plugin: PeerTubePluginIndex): boolean;
    getPluginOrThemeHref(name: string): string;
    getShowRouterLink(plugin: PeerTubePluginIndex): string[];
    isThemeSearch(): boolean;
    install(plugin: PeerTubePluginIndex): Promise<void>;
}
