import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { HooksService, Notifier, PluginService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { PeerTubePlugin, RegisterServerSettingOptions } from '@shared/models';
import { PluginApiService } from '../shared/plugin-api.service';
export declare class PluginShowInstalledComponent extends FormReactive implements OnInit, OnDestroy {
    protected formValidatorService: FormValidatorService;
    private pluginService;
    private pluginAPIService;
    private notifier;
    private hooks;
    private route;
    plugin: PeerTubePlugin;
    registeredSettings: RegisterServerSettingOptions[];
    pluginTypeLabel: string;
    private sub;
    private npmName;
    constructor(formValidatorService: FormValidatorService, pluginService: PluginService, pluginAPIService: PluginApiService, notifier: Notifier, hooks: HooksService, route: ActivatedRoute);
    ngOnInit(): void;
    ngOnDestroy(): void;
    formValidated(): void;
    hasRegisteredSettings(): boolean;
    isSettingHidden(setting: RegisterServerSettingOptions): boolean;
    getWrapperId(setting: RegisterServerSettingOptions): string;
    private loadPlugin;
    private buildSettingsForm;
    private getSetting;
    private translateSettings;
}
