import { HttpClient } from '@angular/common/http';
import { ComponentPagination, RestExtractor, RestService } from '@app/core';
import { PluginService } from '@app/core/plugins/plugin.service';
import { PeerTubePlugin, PeerTubePluginIndex, PluginType, RegisteredServerSettings, ResultList } from '@shared/models';
export declare class PluginApiService {
    private authHttp;
    private restExtractor;
    private restService;
    private pluginService;
    private static BASE_PLUGIN_URL;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor, restService: RestService, pluginService: PluginService);
    getPluginTypeOptions(): {
        label: string;
        value: PluginType;
    }[];
    getPluginTypeLabel(type: PluginType): string;
    getPlugins(pluginType: PluginType, componentPagination: ComponentPagination, sort: string): import("rxjs").Observable<ResultList<PeerTubePlugin>>;
    searchAvailablePlugins(pluginType: PluginType, componentPagination: ComponentPagination, sort: string, search?: string): import("rxjs").Observable<ResultList<PeerTubePluginIndex>>;
    getPlugin(npmName: string): import("rxjs").Observable<PeerTubePlugin>;
    getPluginRegisteredSettings(pluginName: string, pluginType: PluginType): import("rxjs").Observable<RegisteredServerSettings>;
    updatePluginSettings(pluginName: string, pluginType: PluginType, settings: any): import("rxjs").Observable<Object>;
    uninstall(pluginName: string, pluginType: PluginType): import("rxjs").Observable<Object>;
    update(pluginName: string, pluginType: PluginType): import("rxjs").Observable<Object>;
    install(npmName: string): import("rxjs").Observable<Object>;
    getPluginOrThemeHref(type: PluginType, name: string): string;
}
