import { SortMeta } from 'primeng/api';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { Job, ResultList } from '@shared/models';
import { JobStateClient } from '../../../../types/job-state-client.type';
import { JobTypeClient } from '../../../../types/job-type-client.type';
export declare class JobService {
    private authHttp;
    private restService;
    private restExtractor;
    private static BASE_JOB_URL;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    getJobs(options: {
        jobState?: JobStateClient;
        jobType: JobTypeClient;
        pagination: RestPagination;
        sort: SortMeta;
    }): Observable<ResultList<Job>>;
    private prettyPrintData;
    private buildUniqId;
}
