import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { Notifier, RestPagination, RestTable } from '@app/core';
import { Job } from '@shared/models';
import { JobStateClient } from '../../../../types/job-state-client.type';
import { JobTypeClient } from '../../../../types/job-type-client.type';
import { JobService } from './job.service';
export declare class JobsComponent extends RestTable implements OnInit {
    private notifier;
    private jobsService;
    private static LOCAL_STORAGE_STATE;
    private static LOCAL_STORAGE_TYPE;
    jobState?: JobStateClient | 'all';
    jobStates: JobStateClient[];
    jobType: JobTypeClient;
    jobTypes: JobTypeClient[];
    jobs: Job[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    constructor(notifier: Notifier, jobsService: JobService);
    ngOnInit(): void;
    getIdentifier(): string;
    getJobStateClass(state: JobStateClient): "badge-blue" | "badge-green" | "badge-brown" | "badge-red" | "badge-yellow";
    getColspan(): 7 | 5 | 6;
    onJobStateOrTypeChanged(): void;
    hasGlobalProgress(): boolean;
    hasProgress(job: Job): boolean;
    getProgress(job: Job): string;
    refresh(): void;
    protected reloadData(): void;
    private loadJobStateAndType;
    private saveJobStateAndType;
}
