import { ElementRef, OnInit } from '@angular/core';
import { LocalStorageService, Notifier } from '@app/core';
import { LogLevel } from '@shared/models';
import { LogRow } from './log-row.model';
import { LogsService } from './logs.service';
export declare class LogsComponent implements OnInit {
    private logsService;
    private notifier;
    private localStorage;
    private static LOCAL_STORAGE_LOG_TYPE_CHOICE_KEY;
    logsElement: ElementRef<HTMLElement>;
    loading: boolean;
    logs: LogRow[];
    timeChoices: {
        id: string;
        label: string;
        dateFormat: string;
    }[];
    levelChoices: {
        id: LogLevel;
        label: string;
    }[];
    logTypeChoices: {
        id: 'audit' | 'standard';
        label: string;
    }[];
    startDate: string;
    level: LogLevel;
    logType: 'audit' | 'standard';
    tagsOneOf: string[];
    constructor(logsService: LogsService, notifier: Notifier, localStorage: LocalStorageService);
    ngOnInit(): void;
    refresh(): void;
    load(): void;
    isAuditLog(): boolean;
    buildTimeChoices(): void;
    buildLevelChoices(): void;
    buildLogTypeChoices(): void;
    private loadPreviousChoices;
}
