import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AuthService, Notifier, RedirectService, UserService } from '@app/core';
import { HooksService } from '@app/core/plugins/hooks.service';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { InstanceAboutAccordionComponent } from '@app/shared/shared-instance';
import { NgbAccordion, NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { RegisteredExternalAuthConfig } from '@shared/models';
export declare class LoginComponent extends FormReactive implements OnInit, AfterViewInit {
    protected formValidatorService: FormValidatorService;
    private route;
    private modalService;
    private authService;
    private userService;
    private redirectService;
    private notifier;
    private hooks;
    forgotPasswordModal: ElementRef;
    accordion: NgbAccordion;
    error: string;
    forgotPasswordEmail: string;
    isAuthenticatedWithExternalAuth: boolean;
    externalAuthError: boolean;
    externalLogins: string[];
    instanceInformationPanels: {
        terms: boolean;
        administrators: boolean;
        features: boolean;
        moderation: boolean;
        codeOfConduct: boolean;
    };
    private openedForgotPasswordModal;
    private serverConfig;
    constructor(formValidatorService: FormValidatorService, route: ActivatedRoute, modalService: NgbModal, authService: AuthService, userService: UserService, redirectService: RedirectService, notifier: Notifier, hooks: HooksService);
    get signupAllowed(): boolean;
    onTermsClick(event: Event, instanceInformation: HTMLElement): void;
    isEmailDisabled(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getExternalLogins(): RegisteredExternalAuthConfig[];
    getAuthHref(auth: RegisteredExternalAuthConfig): string;
    login(): void;
    askResetPassword(): void;
    openForgotPasswordModal(): void;
    hideForgotPasswordModal(): void;
    onInstanceAboutAccordionInit(instanceAboutAccordion: InstanceAboutAccordionComponent): void;
    hasUsernameUppercase(): any;
    private loadExternalAuthToken;
    private handleError;
}
