import { Subject } from 'rxjs';
import { OnInit } from '@angular/core';
import { Notifier, ServerService, User } from '@app/core';
import { UserNotificationService } from '@app/shared/shared-main';
import { UserNotificationSetting, UserRight } from '@shared/models';
export declare class MyAccountNotificationPreferencesComponent implements OnInit {
    private userNotificationService;
    private serverService;
    private notifier;
    user: User;
    userInformationLoaded: Subject<any>;
    notificationSettingGroups: {
        label: string;
        keys: (keyof UserNotificationSetting)[];
    }[];
    emailNotifications: {
        [id in keyof UserNotificationSetting]?: boolean;
    };
    webNotifications: {
        [id in keyof UserNotificationSetting]?: boolean;
    };
    labelNotifications: {
        [id in keyof UserNotificationSetting]?: string;
    };
    rightNotifications: {
        [id in keyof Partial<UserNotificationSetting>]?: UserRight;
    };
    emailEnabled: boolean;
    private savePreferences;
    constructor(userNotificationService: UserNotificationService, serverService: ServerService, notifier: Notifier);
    ngOnInit(): void;
    hasUserRight(field: keyof UserNotificationSetting): boolean;
    updateEmailSetting(field: keyof UserNotificationSetting, value: boolean): void;
    updateWebSetting(field: keyof UserNotificationSetting, value: boolean): void;
    private savePreferencesImpl;
    private loadNotificationSettings;
}
