import { ChartData, ChartOptions } from 'chart.js';
import { AuthService, ConfirmService, Notifier, ScreenService } from '@app/core';
import { VideoChannel, VideoChannelService } from '@app/shared/shared-main';
export declare class MyVideoChannelsComponent {
    private authService;
    private notifier;
    private confirmService;
    private videoChannelService;
    private screenService;
    totalItems: number;
    videoChannels: VideoChannel[];
    videoChannelsChartData: ChartData[];
    videoChannelsMinimumDailyViews: number;
    videoChannelsMaximumDailyViews: number;
    chartOptions: ChartOptions;
    search: string;
    constructor(authService: AuthService, notifier: Notifier, confirmService: ConfirmService, videoChannelService: VideoChannelService, screenService: ScreenService);
    get isInSmallView(): boolean;
    onSearch(search: string): void;
    deleteVideoChannel(videoChannel: VideoChannel): Promise<void>;
    private loadVideoChannels;
    private buildChartOptions;
}
