import { ComponentFactoryResolver, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, ComponentPagination, ConfirmService, DisableForReuseHook, LocalStorageService, Notifier, ScreenService, ServerService, User, UserService } from '@app/core';
import { UserHistoryService, Video } from '@app/shared/shared-main';
import { MiniatureDisplayOptions, VideosSelectionComponent } from '@app/shared/shared-video-miniature';
export declare class MyHistoryComponent implements OnInit, DisableForReuseHook {
    protected router: Router;
    protected serverService: ServerService;
    protected route: ActivatedRoute;
    protected authService: AuthService;
    protected userService: UserService;
    protected notifier: Notifier;
    protected screenService: ScreenService;
    protected storageService: LocalStorageService;
    private confirmService;
    private userHistoryService;
    protected cfr: ComponentFactoryResolver;
    videosSelection: VideosSelectionComponent;
    titlePage: string;
    pagination: ComponentPagination;
    videosHistoryEnabled: boolean;
    miniatureDisplayOptions: MiniatureDisplayOptions;
    getVideosObservableFunction: (page: number) => import("rxjs").Observable<{
        total: number;
        data: Video[];
    }>;
    user: User;
    videos: Video[];
    search: string;
    disabled: boolean;
    constructor(router: Router, serverService: ServerService, route: ActivatedRoute, authService: AuthService, userService: UserService, notifier: Notifier, screenService: ScreenService, storageService: LocalStorageService, confirmService: ConfirmService, userHistoryService: UserHistoryService, cfr: ComponentFactoryResolver);
    ngOnInit(): void;
    disableForReuse(): void;
    enabledForReuse(): void;
    reloadData(): void;
    onSearch(search: string): void;
    getVideosObservable(page: number): import("rxjs").Observable<{
        total: number;
        data: Video[];
    }>;
    generateSyndicationList(): void;
    onVideosHistoryChange(): void;
    deleteHistory(): Promise<void>;
}
