import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { Notifier, RestPagination, RestTable } from '@app/core';
import { VideoImportService } from '@app/shared/shared-main';
import { VideoImport, VideoImportState } from '@shared/models';
export declare class MyVideoImportsComponent extends RestTable implements OnInit {
    private notifier;
    private videoImportService;
    videoImports: VideoImport[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    constructor(notifier: Notifier, videoImportService: VideoImportService);
    ngOnInit(): void;
    getIdentifier(): string;
    getVideoImportStateClass(state: VideoImportState): "badge-green" | "badge-red" | "badge-yellow" | "badge-banned";
    isVideoImportSuccess(videoImport: VideoImport): boolean;
    isVideoImportPending(videoImport: VideoImport): boolean;
    isVideoImportFailed(videoImport: VideoImport): boolean;
    getVideoUrl(video: {
        uuid: string;
    }): string;
    getEditVideoUrl(video: {
        uuid: string;
    }): string;
    protected reloadData(): void;
}
