import { Subject } from 'rxjs';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ComponentPagination, ConfirmService, Notifier, ScreenService } from '@app/core';
import { DropdownAction } from '@app/shared/shared-main';
import { VideoShareComponent } from '@app/shared/shared-share-modal';
import { VideoPlaylist, VideoPlaylistElement, VideoPlaylistService } from '@app/shared/shared-video-playlist';
export declare class MyVideoPlaylistElementsComponent implements OnInit, OnDestroy {
    private notifier;
    private router;
    private confirmService;
    private route;
    private screenService;
    private videoPlaylistService;
    videoShareModal: VideoShareComponent;
    playlistElements: VideoPlaylistElement[];
    playlist: VideoPlaylist;
    playlistActions: DropdownAction<VideoPlaylist>[][];
    pagination: ComponentPagination;
    onDataSubject: Subject<any[]>;
    private videoPlaylistId;
    private paramsSub;
    constructor(notifier: Notifier, router: Router, confirmService: ConfirmService, route: ActivatedRoute, screenService: ScreenService, videoPlaylistService: VideoPlaylistService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    drop(event: CdkDragDrop<any>): void;
    onElementRemoved(element: VideoPlaylistElement): void;
    onNearOfBottom(): void;
    trackByFn(index: number, elem: VideoPlaylistElement): number;
    isRegularPlaylist(playlist: VideoPlaylist): boolean;
    showShareModal(): void;
    deleteVideoPlaylist(videoPlaylist: VideoPlaylist): Promise<void>;
    /**
     * Returns null to not have drag and drop delay.
     * In small views, where elements are about 100% wide,
     * we add a delay to prevent unwanted drag&drop.
     *
     * @see {@link https://github.com/Chocobozzz/PeerTube/issues/2078}
     */
    getDragStartDelay(): null | number;
    private loadElements;
    private loadPlaylistInfo;
    private reorderClientPositions;
    private findFirst;
}
