import { Observable } from 'rxjs';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, ComponentPagination, ConfirmService, Notifier, ScreenService, ServerService, User } from '@app/core';
import { DisableForReuseHook } from '@app/core/routing/disable-for-reuse-hook';
import { AdvancedInputFilter } from '@app/shared/shared-forms';
import { DropdownAction, Video, VideoService } from '@app/shared/shared-main';
import { LiveStreamInformationComponent } from '@app/shared/shared-video-live';
import { MiniatureDisplayOptions, SelectionType, VideosSelectionComponent } from '@app/shared/shared-video-miniature';
import { VideoSortField } from '@shared/models';
import { VideoChangeOwnershipComponent } from './modals/video-change-ownership.component';
export declare class MyVideosComponent implements OnInit, DisableForReuseHook {
    protected router: Router;
    protected serverService: ServerService;
    protected route: ActivatedRoute;
    protected authService: AuthService;
    protected notifier: Notifier;
    protected screenService: ScreenService;
    private confirmService;
    private videoService;
    videosSelection: VideosSelectionComponent;
    videoChangeOwnershipModal: VideoChangeOwnershipComponent;
    liveStreamInformationModal: LiveStreamInformationComponent;
    titlePage: string;
    selection: SelectionType;
    pagination: ComponentPagination;
    miniatureDisplayOptions: MiniatureDisplayOptions;
    videoActions: DropdownAction<{
        video: Video;
    }>[];
    videos: Video[];
    getVideosObservableFunction: (page: number) => Observable<import("@shared/models").ResultList<Video>>;
    sort: VideoSortField;
    user: User;
    inputFilters: AdvancedInputFilter[];
    disabled: boolean;
    private search;
    private userChannels;
    constructor(router: Router, serverService: ServerService, route: ActivatedRoute, authService: AuthService, notifier: Notifier, screenService: ScreenService, confirmService: ConfirmService, videoService: VideoService);
    ngOnInit(): void;
    onSearch(search: string): void;
    reloadData(): void;
    onChangeSortColumn(): void;
    disableForReuse(): void;
    enabledForReuse(): void;
    getVideosObservable(page: number): Observable<import("@shared/models").ResultList<Video>>;
    deleteSelectedVideos(): Promise<void>;
    deleteVideo(video: Video): Promise<void>;
    changeOwnership(video: Video): void;
    displayLiveInformation(video: Video): void;
    private removeVideoFromArray;
    private buildActions;
}
