import { EventEmitter, OnInit } from '@angular/core';
import { ServerService } from '@app/core';
import { AdvancedSearch } from '@app/shared/shared-search';
import { VideoConstant } from '@shared/models';
declare type FormOption = {
    id: string;
    label: string;
};
export declare class SearchFiltersComponent implements OnInit {
    private serverService;
    advancedSearch: AdvancedSearch;
    filtered: EventEmitter<AdvancedSearch>;
    videoCategories: VideoConstant<number>[];
    videoLicences: VideoConstant<number>[];
    videoLanguages: VideoConstant<string>[];
    publishedDateRanges: FormOption[];
    sorts: FormOption[];
    durationRanges: FormOption[];
    videoType: FormOption[];
    publishedDateRange: string;
    durationRange: string;
    originallyPublishedStartYear: string;
    originallyPublishedEndYear: string;
    private serverConfig;
    constructor(serverService: ServerService);
    ngOnInit(): void;
    onDurationOrPublishedUpdated(): void;
    formUpdated(): void;
    reset(): void;
    resetField(fieldName: string, value?: any): void;
    resetLocalField(fieldName: string, value?: any): void;
    resetOriginalPublicationYears(): void;
    isSearchTargetEnabled(): boolean;
    private loadOriginallyPublishedAtYears;
    private loadFromDurationRange;
    private loadFromPublishedRange;
    private updateModelFromOriginallyPublishedAtYears;
    private updateModelFromDurationRange;
    private updateModelFromPublishedRange;
}
export {};
