import { LinkType } from 'src/types/link.type';
import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, HooksService, MetaService, Notifier, ServerService, User, UserService } from '@app/core';
import { Video, VideoChannel } from '@app/shared/shared-main';
import { AdvancedSearch, SearchService } from '@app/shared/shared-search';
import { MiniatureDisplayOptions } from '@app/shared/shared-video-miniature';
import { VideoPlaylist } from '@app/shared/shared-video-playlist';
export declare class SearchComponent implements OnInit, OnDestroy {
    private route;
    private router;
    private metaService;
    private notifier;
    private searchService;
    private authService;
    private userService;
    private hooks;
    private serverService;
    error: string;
    results: (Video | VideoChannel | VideoPlaylist)[];
    pagination: {
        currentPage: number;
        totalItems: number;
    };
    advancedSearch: AdvancedSearch;
    isSearchFilterCollapsed: boolean;
    currentSearch: string;
    videoDisplayOptions: MiniatureDisplayOptions;
    errorMessage: string;
    userMiniature: User;
    private subActivatedRoute;
    private isInitialLoad;
    private channelsPerPage;
    private playlistsPerPage;
    private videosPerPage;
    private hasMoreResults;
    private isSearching;
    private lastSearchTarget;
    private serverConfig;
    constructor(route: ActivatedRoute, router: Router, metaService: MetaService, notifier: Notifier, searchService: SearchService, authService: AuthService, userService: UserService, hooks: HooksService, serverService: ServerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    isVideoChannel(d: VideoChannel | Video | VideoPlaylist): d is VideoChannel;
    isVideo(v: VideoChannel | Video | VideoPlaylist): v is Video;
    isPlaylist(v: VideoChannel | Video | VideoPlaylist): v is VideoPlaylist;
    isUserLoggedIn(): boolean;
    search(): void;
    onNearOfBottom(): void;
    onFiltered(): void;
    numberOfFilters(): number;
    removeVideoFromArray(video: Video | VideoChannel | VideoPlaylist): void;
    getLinkType(): LinkType;
    isExternalChannelUrl(): boolean;
    getExternalChannelUrl(channel: VideoChannel): string;
    getInternalChannelUrl(channel: VideoChannel): (string | {
        url: string;
    })[];
    hideActions(): boolean;
    private resetPagination;
    private updateTitle;
    private updateUrlFromAdvancedSearch;
    private getVideosObs;
    private getVideoChannelObs;
    private getVideoPlaylistObs;
    private getDefaultSearchTarget;
    private checkFieldsAndGetError;
}
