import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ActivatedRoute } from '@angular/router';
import { AuthService, UserService } from '@app/core';
import { HooksService } from '@app/core/plugins/hooks.service';
import { NgbAccordion } from '@ng-bootstrap/ng-bootstrap';
import { InstanceAboutAccordionComponent } from '@app/shared/shared-instance';
export declare class RegisterComponent implements OnInit {
    private route;
    private authService;
    private userService;
    private hooks;
    accordion: NgbAccordion;
    info: string;
    error: string;
    success: string;
    signupDone: boolean;
    videoUploadDisabled: boolean;
    formStepTerms: FormGroup;
    formStepUser: FormGroup;
    formStepChannel: FormGroup;
    aboutHtml: {
        codeOfConduct: string;
    };
    instanceInformationPanels: {
        codeOfConduct: boolean;
        terms: boolean;
        administrators: boolean;
        features: boolean;
        moderation: boolean;
    };
    defaultPreviousStepButtonLabel: string;
    defaultNextStepButtonLabel: string;
    stepUserButtonLabel: string;
    signupDisabled: boolean;
    private serverConfig;
    constructor(route: ActivatedRoute, authService: AuthService, userService: UserService, hooks: HooksService);
    get requiresEmailVerification(): boolean;
    get minimumAge(): number;
    ngOnInit(): void;
    hasSameChannelAndAccountNames(): boolean;
    getUsername(): any;
    getChannelName(): any;
    onTermsFormBuilt(form: FormGroup): void;
    onUserFormBuilt(form: FormGroup): void;
    onChannelFormBuilt(form: FormGroup): void;
    onTermsClick(): void;
    onCodeOfConductClick(): void;
    onInstanceAboutAccordionInit(instanceAboutAccordion: InstanceAboutAccordionComponent): void;
    signup(): Promise<void>;
}
