import { OnDestroy, OnInit } from '@angular/core';
import { ComponentPaginationLight, DisableForReuseHook, ScreenService } from '@app/core';
import { VideoChannel, VideoChannelService, VideoService } from '@app/shared/shared-main';
import { MiniatureDisplayOptions, VideoFilters } from '@app/shared/shared-video-miniature';
import { VideoSortField } from '@shared/models/videos';
export declare class VideoChannelVideosComponent implements OnInit, OnDestroy, DisableForReuseHook {
    private screenService;
    private videoChannelService;
    private videoService;
    getVideosObservableFunction: (pagination: ComponentPaginationLight, filters: VideoFilters) => import("rxjs").Observable<import("@shared/models/common").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItemsFunction: () => {
        format: import("@shared/models/feeds").FeedFormat;
        label: string;
        url: string;
    }[];
    title: string;
    defaultSort: VideoSortField;
    displayOptions: MiniatureDisplayOptions;
    videoChannel: VideoChannel;
    disabled: boolean;
    private videoChannelSub;
    constructor(screenService: ScreenService, videoChannelService: VideoChannelService, videoService: VideoService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getVideosObservable(pagination: ComponentPaginationLight, filters: VideoFilters): import("rxjs").Observable<import("@shared/models/common").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItems(): {
        format: import("@shared/models/feeds").FeedFormat;
        label: string;
        url: string;
    }[];
    displayAsRow(): boolean;
    disableForReuse(): void;
    enabledForReuse(): void;
}
