import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { ServerService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { VideoCaptionEdit } from '@app/shared/shared-main';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { HTMLServerConfig, VideoConstant } from '@shared/models';
export declare class VideoCaptionAddModalComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private serverService;
    existingCaptions: string[];
    serverConfig: HTMLServerConfig;
    captionAdded: EventEmitter<VideoCaptionEdit>;
    modal: ElementRef;
    videoCaptionLanguages: VideoConstant<string>[];
    private openedModal;
    private closingModal;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, serverService: ServerService);
    get videoCaptionExtensions(): string[];
    get videoCaptionMaxSize(): number;
    ngOnInit(): void;
    show(): void;
    hide(): void;
    isReplacingExistingCaption(): boolean;
    addCaption(): void;
}
