import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, CanComponentDeactivate, HooksService, Notifier, ServerService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { VideoCaptionService, VideoService } from '@app/shared/shared-main';
import { LiveVideoService } from '@app/shared/shared-video-live';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { LiveVideo } from '@shared/models';
import { VideoSend } from './video-send';
export declare class VideoGoLiveComponent extends VideoSend implements OnInit, AfterViewInit, CanComponentDeactivate {
    protected formValidatorService: FormValidatorService;
    protected loadingBar: LoadingBarService;
    protected notifier: Notifier;
    protected authService: AuthService;
    protected serverService: ServerService;
    protected videoService: VideoService;
    protected videoCaptionService: VideoCaptionService;
    private liveVideoService;
    private router;
    private hooks;
    firstStepDone: EventEmitter<string>;
    firstStepError: EventEmitter<void>;
    firstStepPermanentLive: boolean;
    isInUpdateForm: boolean;
    liveVideo: LiveVideo;
    videoId: number;
    videoUUID: string;
    videoShortUUID: string;
    error: string;
    constructor(formValidatorService: FormValidatorService, loadingBar: LoadingBarService, notifier: Notifier, authService: AuthService, serverService: ServerService, videoService: VideoService, videoCaptionService: VideoCaptionService, liveVideoService: LiveVideoService, router: Router, hooks: HooksService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    canDeactivate(): {
        canDeactivate: boolean;
    };
    goLive(): void;
    updateSecondStep(): void;
    getMaxLiveDuration(): number;
    isWaitTranscodingEnabled(): boolean;
    getNormalLiveDescription(): string;
    getPermanentLiveDescription(): string;
    private isReplayAllowed;
    private fetchVideoLive;
}
