import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, CanComponentDeactivate, HooksService, Notifier, ServerService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { VideoCaptionService, VideoEdit, VideoImportService, VideoService } from '@app/shared/shared-main';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { VideoSend } from './video-send';
export declare class VideoImportUrlComponent extends VideoSend implements OnInit, AfterViewInit, CanComponentDeactivate {
    protected formValidatorService: FormValidatorService;
    protected loadingBar: LoadingBarService;
    protected notifier: Notifier;
    protected authService: AuthService;
    protected serverService: ServerService;
    protected videoService: VideoService;
    protected videoCaptionService: VideoCaptionService;
    private router;
    private videoImportService;
    private hooks;
    firstStepDone: EventEmitter<string>;
    firstStepError: EventEmitter<void>;
    targetUrl: string;
    isImportingVideo: boolean;
    hasImportedVideo: boolean;
    isUpdatingVideo: boolean;
    video: VideoEdit;
    error: string;
    constructor(formValidatorService: FormValidatorService, loadingBar: LoadingBarService, notifier: Notifier, authService: AuthService, serverService: ServerService, videoService: VideoService, videoCaptionService: VideoCaptionService, router: Router, videoImportService: VideoImportService, hooks: HooksService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    canDeactivate(): {
        canDeactivate: boolean;
    };
    isTargetUrlValid(): RegExpMatchArray;
    importVideo(): void;
    updateSecondStep(): void;
}
