import { SelectChannelItem } from 'src/types/select-options-item.model';
import { EventEmitter, OnInit } from '@angular/core';
import { AuthService, CanComponentDeactivateResult, Notifier, ServerService } from '@app/core';
import { FormReactive } from '@app/shared/shared-forms';
import { VideoCaptionEdit, VideoCaptionService, VideoEdit, VideoService } from '@app/shared/shared-main';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { HTMLServerConfig, VideoConstant, VideoPrivacy } from '@shared/models';
export declare abstract class VideoSend extends FormReactive implements OnInit {
    userVideoChannels: SelectChannelItem[];
    videoPrivacies: VideoConstant<VideoPrivacy>[];
    videoCaptions: VideoCaptionEdit[];
    firstStepPrivacyId: VideoPrivacy;
    firstStepChannelId: number;
    abstract firstStepDone: EventEmitter<string>;
    abstract firstStepError: EventEmitter<void>;
    protected loadingBar: LoadingBarService;
    protected notifier: Notifier;
    protected authService: AuthService;
    protected serverService: ServerService;
    protected videoService: VideoService;
    protected videoCaptionService: VideoCaptionService;
    protected serverConfig: HTMLServerConfig;
    protected highestPrivacy: VideoPrivacy;
    abstract canDeactivate(): CanComponentDeactivateResult;
    ngOnInit(): void;
    checkForm(): boolean;
    protected updateVideoAndCaptions(video: VideoEdit): import("rxjs").Observable<boolean>;
}
