import { UploadState, UploadxService } from 'ngx-uploadx';
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, CanComponentDeactivate, HooksService, Notifier, ServerService, UserService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { VideoCaptionService, VideoService } from '@app/shared/shared-main';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { VideoCreateResult } from '@shared/models';
import { VideoSend } from './video-send';
export declare class VideoUploadComponent extends VideoSend implements OnInit, OnDestroy, AfterViewInit, CanComponentDeactivate {
    protected formValidatorService: FormValidatorService;
    protected loadingBar: LoadingBarService;
    protected notifier: Notifier;
    protected authService: AuthService;
    protected serverService: ServerService;
    protected videoService: VideoService;
    protected videoCaptionService: VideoCaptionService;
    private userService;
    private router;
    private hooks;
    private resumableUploadService;
    firstStepDone: EventEmitter<string>;
    firstStepError: EventEmitter<void>;
    videofileInput: ElementRef<HTMLInputElement>;
    userVideoQuotaUsed: number;
    userVideoQuotaUsedDaily: number;
    isUploadingAudioFile: boolean;
    isUploadingVideo: boolean;
    videoUploaded: boolean;
    videoUploadPercents: number;
    videoUploadedIds: VideoCreateResult;
    formData: FormData;
    previewfileUpload: File;
    error: string;
    enableRetryAfterError: boolean;
    schedulePublicationPossible: boolean;
    protected readonly BASE_VIDEO_UPLOAD_URL: string;
    private uploadxOptions;
    private isUpdatingVideo;
    private fileToUpload;
    constructor(formValidatorService: FormValidatorService, loadingBar: LoadingBarService, notifier: Notifier, authService: AuthService, serverService: ServerService, videoService: VideoService, videoCaptionService: VideoCaptionService, userService: UserService, router: Router, hooks: HooksService, resumableUploadService: UploadxService);
    get videoExtensions(): string;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    canDeactivate(): {
        canDeactivate: boolean;
        text: string;
    };
    onUploadVideoOngoing(state: UploadState): void;
    onFileDropped(files: FileList): void;
    onFileChange(event: Event | {
        target: HTMLInputElement;
    }): void;
    uploadAudio(): void;
    retryUpload(): void;
    cancelUpload(): void;
    isPublishingButtonDisabled(): boolean;
    getAudioUploadLabel(): string;
    updateSecondStep(): void;
    private getInputVideoFile;
    private uploadFile;
    private handleUploadError;
    private closeFirstStep;
    private checkGlobalUserQuota;
    private checkDailyUserQuota;
    private isAudioFile;
}
