import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, AuthUser, CanComponentDeactivate, HooksService, ServerService, UserService } from '@app/core';
import { HTMLServerConfig } from '@shared/models';
import { VideoEditType } from './shared/video-edit.type';
import { VideoGoLiveComponent } from './video-add-components/video-go-live.component';
import { VideoImportTorrentComponent } from './video-add-components/video-import-torrent.component';
import { VideoImportUrlComponent } from './video-add-components/video-import-url.component';
import { VideoUploadComponent } from './video-add-components/video-upload.component';
export declare class VideoAddComponent implements OnInit, CanComponentDeactivate {
    private auth;
    private userService;
    private hooks;
    private serverService;
    private route;
    private router;
    videoUpload: VideoUploadComponent;
    videoImportUrl: VideoImportUrlComponent;
    videoImportTorrent: VideoImportTorrentComponent;
    videoGoLive: VideoGoLiveComponent;
    user: AuthUser;
    secondStepType: VideoEditType;
    videoName: string;
    activeNav: string;
    uploadMessages: {
        noQuota: string;
        autoBlock: string;
        quotaLeftDaily: string;
        quotaLeft: string;
    };
    hasNoQuotaLeft: boolean;
    hasNoQuotaLeftDaily: boolean;
    serverConfig: HTMLServerConfig;
    constructor(auth: AuthService, userService: UserService, hooks: HooksService, serverService: ServerService, route: ActivatedRoute, router: Router);
    get isContactFormEnabled(): boolean;
    get userInformationLoaded(): import("rxjs").ReplaySubject<boolean>;
    ngOnInit(): void;
    private buildUploadMessages;
    onNavChange(newActiveNav: string): void;
    onFirstStepDone(type: VideoEditType, videoName: string): void;
    onError(): void;
    onUnload(event: any): string;
    canDeactivate(): {
        canDeactivate: boolean;
        text?: string;
    };
    isVideoImportHttpEnabled(): boolean;
    isVideoImportTorrentEnabled(): boolean;
    isVideoLiveEnabled(): boolean;
    isInSecondStep(): boolean;
    isRootUser(): boolean;
}
