import { SelectChannelItem } from 'src/types/select-options-item.model';
import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { VideoCaptionEdit, VideoCaptionService, VideoDetails, VideoEdit, VideoService } from '@app/shared/shared-main';
import { LiveVideoService } from '@app/shared/shared-video-live';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { LiveVideo } from '@shared/models';
export declare class VideoUpdateComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private route;
    private router;
    private notifier;
    private videoService;
    private loadingBar;
    private videoCaptionService;
    private liveVideoService;
    video: VideoEdit;
    videoDetails: VideoDetails;
    userVideoChannels: SelectChannelItem[];
    videoCaptions: VideoCaptionEdit[];
    liveVideo: LiveVideo;
    isUpdatingVideo: boolean;
    schedulePublicationPossible: boolean;
    waitTranscodingEnabled: boolean;
    private updateDone;
    constructor(formValidatorService: FormValidatorService, route: ActivatedRoute, router: Router, notifier: Notifier, videoService: VideoService, loadingBar: LoadingBarService, videoCaptionService: VideoCaptionService, liveVideoService: LiveVideoService);
    ngOnInit(): void;
    onFormBuilt(): void;
    onUnload(event: any): string;
    canDeactivate(): {
        canDeactivate: boolean;
        text?: string;
    };
    checkForm(): boolean;
    isWaitTranscodingEnabled(): boolean;
    update(): void;
    hydratePluginFieldsFromVideo(): void;
    getVideoUrl(): string;
}
