import { OnChanges, OnInit } from '@angular/core';
import { RedirectService, ScreenService } from '@app/core';
import { VideoDetails } from '@app/shared/shared-main';
import { VideoShareComponent } from '@app/shared/shared-share-modal';
import { SupportModalComponent } from '@app/shared/shared-support-modal';
import { VideoActionsDisplayType, VideoDownloadComponent } from '@app/shared/shared-video-miniature';
import { VideoPlaylist } from '@app/shared/shared-video-playlist';
import { UserVideoRateType, VideoCaption } from '@shared/models/videos';
export declare class ActionButtonsComponent implements OnInit, OnChanges {
    private screenService;
    private redirectService;
    videoShareModal: VideoShareComponent;
    supportModal: SupportModalComponent;
    videoDownloadModal: VideoDownloadComponent;
    video: VideoDetails;
    videoCaptions: VideoCaption[];
    playlist: VideoPlaylist;
    isUserLoggedIn: boolean;
    currentTime: number;
    currentPlaylistPosition: number;
    likesBarTooltipText: string;
    tooltipSupport: string;
    tooltipSaveToPlaylist: string;
    videoActionsOptions: VideoActionsDisplayType;
    userRating: UserVideoRateType;
    constructor(screenService: ScreenService, redirectService: RedirectService);
    ngOnInit(): void;
    ngOnChanges(): void;
    showDownloadModal(): void;
    isVideoDownloadable(): boolean;
    showSupportModal(): void;
    showShareModal(): void;
    onRateUpdated(userRating: UserVideoRateType): void;
    onVideoRemoved(): void;
    private setVideoLikesBarTooltipText;
}
