import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Router } from '@angular/router';
import { Notifier, User } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { Video } from '@app/shared/shared-main';
import { VideoComment, VideoCommentService } from '@app/shared/shared-video-comment';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare class VideoCommentAddComponent extends FormReactive implements OnChanges, OnInit {
    protected formValidatorService: FormValidatorService;
    private notifier;
    private videoCommentService;
    private modalService;
    private router;
    private localeId;
    user: User;
    video: Video;
    parentComment?: VideoComment;
    parentComments?: VideoComment[];
    focusOnInit: boolean;
    textValue?: string;
    commentCreated: EventEmitter<VideoComment>;
    cancel: EventEmitter<any>;
    visitorModal: NgbModal;
    emojiModal: NgbModal;
    textareaElement: ElementRef;
    addingComment: boolean;
    addingCommentButtonValue: string;
    constructor(formValidatorService: FormValidatorService, notifier: Notifier, videoCommentService: VideoCommentService, modalService: NgbModal, router: Router, localeId: string);
    get emojiMarkupList(): any[][];
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onValidKey(): void;
    openVisitorModal(event: any): void;
    openEmojiModal(event: any): void;
    hideModals(): void;
    formValidated(): void;
    isAddButtonDisplayed(): any;
    getUri(): string;
    gotoLogin(): void;
    cancelCommentReply(): void;
    isRTL(): boolean;
    private addCommentReply;
    private addCommentThread;
    private initTextValue;
    private patchTextValue;
}
