import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { MarkdownService, Notifier, UserService } from '@app/core';
import { AuthService } from '@app/core/auth';
import { Account, DropdownAction, Video } from '@app/shared/shared-main';
import { CommentReportComponent } from '@app/shared/shared-moderation/report-modals/comment-report.component';
import { VideoComment, VideoCommentThreadTree } from '@app/shared/shared-video-comment';
import { User } from '@shared/models';
export declare class VideoCommentComponent implements OnInit, OnChanges {
    private markdownService;
    private authService;
    private userService;
    private notifier;
    commentReportModal: CommentReportComponent;
    video: Video;
    comment: VideoComment;
    parentComments: VideoComment[];
    commentTree: VideoCommentThreadTree;
    inReplyToCommentId: number;
    highlightedComment: boolean;
    firstInThread: boolean;
    redraftValue?: string;
    wantedToReply: EventEmitter<VideoComment>;
    wantedToDelete: EventEmitter<VideoComment>;
    wantedToRedraft: EventEmitter<VideoComment>;
    threadCreated: EventEmitter<VideoCommentThreadTree>;
    resetReply: EventEmitter<any>;
    timestampClicked: EventEmitter<number>;
    prependModerationActions: DropdownAction<any>[];
    sanitizedCommentHTML: string;
    newParentComments: VideoComment[];
    commentAccount: Account;
    commentUser: User;
    constructor(markdownService: MarkdownService, authService: AuthService, userService: UserService, notifier: Notifier);
    get user(): import("@app/core").AuthUser;
    ngOnInit(): void;
    ngOnChanges(): void;
    onCommentReplyCreated(createdComment: VideoComment): void;
    onWantToReply(comment?: VideoComment): void;
    onWantToDelete(comment?: VideoComment): void;
    onWantToRedraft(comment?: VideoComment): void;
    isUserLoggedIn(): boolean;
    onResetReply(): void;
    handleTimestampClicked(timestamp: number): void;
    isRemovableByUser(): boolean;
    isRedraftableByUser(): boolean;
    isReportableByUser(): boolean;
    isCommentDisplayed(): boolean;
    isChild(): boolean;
    private getUserIfNeeded;
    private init;
    private showReportModal;
}
