import { Subject } from 'rxjs';
import { ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AuthService, ComponentPagination, ConfirmService, Notifier, User } from '@app/core';
import { HooksService } from '@app/core/plugins/hooks.service';
import { Syndication, VideoDetails } from '@app/shared/shared-main';
import { VideoComment, VideoCommentService, VideoCommentThreadTree } from '@app/shared/shared-video-comment';
export declare class VideoCommentsComponent implements OnInit, OnChanges, OnDestroy {
    private authService;
    private notifier;
    private confirmService;
    private videoCommentService;
    private activatedRoute;
    private hooks;
    commentHighlightBlock: ElementRef;
    video: VideoDetails;
    user: User;
    timestampClicked: EventEmitter<number>;
    comments: VideoComment[];
    highlightedThread: VideoComment;
    sort: string;
    componentPagination: ComponentPagination;
    totalNotDeletedComments: number;
    inReplyToCommentId: number;
    commentReplyRedraftValue: string;
    commentThreadRedraftValue: string;
    threadComments: {
        [id: number]: VideoCommentThreadTree;
    };
    threadLoading: {
        [id: number]: boolean;
    };
    syndicationItems: Syndication[];
    onDataSubject: Subject<any[]>;
    private sub;
    constructor(authService: AuthService, notifier: Notifier, confirmService: ConfirmService, videoCommentService: VideoCommentService, activatedRoute: ActivatedRoute, hooks: HooksService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    viewReplies(commentId: number, highlightThread?: boolean): void;
    loadMoreThreads(): void;
    onCommentThreadCreated(comment: VideoComment): void;
    onWantedToReply(comment: VideoComment): void;
    onResetReply(): void;
    onThreadCreated(commentTree: VideoCommentThreadTree): void;
    handleSortChange(sort: string): void;
    handleTimestampClicked(timestamp: number): void;
    onWantedToDelete(commentToDelete: VideoComment, title?: string, message?: string): Promise<boolean>;
    onWantedToRedraft(commentToRedraft: VideoComment): Promise<void>;
    isUserLoggedIn(): boolean;
    onNearOfBottom(): void;
    private softDeleteComment;
    private resetVideo;
    private processHighlightedThread;
}
