import { EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, ComponentPagination, HooksService, LocalStorageService, Notifier, SessionStorageService, UserService } from '@app/core';
import { VideoPlaylist, VideoPlaylistElement, VideoPlaylistService } from '@app/shared/shared-video-playlist';
export declare class VideoWatchPlaylistComponent {
    private hooks;
    private userService;
    private auth;
    private notifier;
    private videoPlaylist;
    private localStorageService;
    private sessionStorage;
    private router;
    static LOCAL_STORAGE_AUTO_PLAY_NEXT_VIDEO_PLAYLIST: string;
    static SESSION_STORAGE_AUTO_PLAY_NEXT_VIDEO_PLAYLIST: string;
    playlist: VideoPlaylist;
    videoFound: EventEmitter<string>;
    playlistElements: VideoPlaylistElement[];
    playlistPagination: ComponentPagination;
    autoPlayNextVideoPlaylist: boolean;
    autoPlayNextVideoPlaylistSwitchText: string;
    loopPlaylist: boolean;
    loopPlaylistSwitchText: string;
    noPlaylistVideos: boolean;
    currentPlaylistPosition: number;
    constructor(hooks: HooksService, userService: UserService, auth: AuthService, notifier: Notifier, videoPlaylist: VideoPlaylistService, localStorageService: LocalStorageService, sessionStorage: SessionStorageService, router: Router);
    onPlaylistVideosNearOfBottom(position?: number): void;
    onElementRemoved(playlistElement: VideoPlaylistElement): void;
    isPlaylistOwned(): boolean;
    isUnlistedPlaylist(): boolean;
    isPrivatePlaylist(): boolean;
    isPublicPlaylist(): boolean;
    loadPlaylistElements(playlist: VideoPlaylist, redirectToFirst?: boolean, position?: number): void;
    updatePlaylistIndex(position: number): void;
    navigateToPreviousPlaylistVideo(): void;
    findPlaylistVideo(position: number, type: 'previous' | 'next'): VideoPlaylistElement;
    navigateToNextPlaylistVideo(): void;
    switchAutoPlayNextVideoPlaylist(): void;
    switchLoopPlaylist(): void;
    private setAutoPlayNextVideoPlaylistSwitchText;
    private setLoopPlaylistSwitchText;
}
