import { Observable } from 'rxjs';
import { ServerService, UserService } from '@app/core';
import { Video, VideoService } from '@app/shared/shared-main';
import { SearchService } from '@app/shared/shared-search';
import { RecommendationInfo } from './recommendation-info.model';
import { RecommendationService } from './recommendations.service';
/**
 * Provides "recommendations" by providing the most recently uploaded videos.
 */
export declare class RecentVideosRecommendationService implements RecommendationService {
    private videos;
    private searchService;
    private userService;
    private serverService;
    readonly pageSize = 5;
    private config;
    constructor(videos: VideoService, searchService: SearchService, userService: UserService, serverService: ServerService);
    getRecommendations(recommendation: RecommendationInfo): Observable<Video[]>;
    private fetchPage;
}
