import { Observable } from 'rxjs';
import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { AuthService, Notifier, SessionStorageService, User, UserService } from '@app/core';
import { Video } from '@app/shared/shared-main';
import { MiniatureDisplayOptions } from '@app/shared/shared-video-miniature';
import { VideoPlaylist } from '@app/shared/shared-video-playlist';
import { RecommendationInfo } from './recommendation-info.model';
import { RecommendedVideosStore } from './recommended-videos.store';
export declare class RecommendedVideosComponent implements OnInit, OnChanges {
    private userService;
    private authService;
    private notifier;
    private store;
    private sessionStorageService;
    inputRecommendation: RecommendationInfo;
    playlist: VideoPlaylist;
    displayAsRow: boolean;
    gotRecommendations: EventEmitter<Video[]>;
    autoPlayNextVideo: boolean;
    autoPlayNextVideoTooltip: string;
    displayOptions: MiniatureDisplayOptions;
    userMiniature: User;
    readonly hasVideos$: Observable<boolean>;
    readonly videos$: Observable<Video[]>;
    constructor(userService: UserService, authService: AuthService, notifier: Notifier, store: RecommendedVideosStore, sessionStorageService: SessionStorageService);
    ngOnInit(): void;
    ngOnChanges(): void;
    onVideoRemoved(): void;
    switchAutoPlayNextVideo(): void;
}
