import { HotkeysService } from 'angular2-hotkeys';
import { PlatformLocation } from '@angular/common';
import { ElementRef, NgZone, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, AuthUser, ConfirmService, MetaService, Notifier, PeerTubeSocket, PluginService, RestExtractor, ScreenService, ServerService, UserService } from '@app/core';
import { HooksService } from '@app/core/plugins/hooks.service';
import { Video, VideoCaptionService, VideoDetails, VideoService } from '@app/shared/shared-main';
import { SubscribeButtonComponent } from '@app/shared/shared-user-subscription';
import { VideoPlaylist, VideoPlaylistService } from '@app/shared/shared-video-playlist';
import { VideoCaption } from '@shared/models';
import { VideoWatchPlaylistComponent } from './shared';
export declare class VideoWatchComponent implements OnInit, OnDestroy {
    private elementRef;
    private route;
    private router;
    private videoService;
    private playlistService;
    private confirmService;
    private metaService;
    private authService;
    private userService;
    private serverService;
    private restExtractor;
    private notifier;
    private zone;
    private videoCaptionService;
    private hotkeysService;
    private hooks;
    private pluginService;
    private peertubeSocket;
    private screenService;
    private location;
    private localeId;
    videoWatchPlaylist: VideoWatchPlaylistComponent;
    subscribeButton: SubscribeButtonComponent;
    player: any;
    playerElement: HTMLVideoElement;
    playerPlaceholderImgSrc: string;
    theaterEnabled: boolean;
    video: VideoDetails;
    videoCaptions: VideoCaption[];
    playlistPosition: number;
    playlist: VideoPlaylist;
    remoteServerDown: boolean;
    private nextVideoUUID;
    private nextVideoTitle;
    private currentTime;
    private paramsSub;
    private queryParamsSub;
    private configSub;
    private liveVideosSub;
    private serverConfig;
    private hotkeys;
    constructor(elementRef: ElementRef, route: ActivatedRoute, router: Router, videoService: VideoService, playlistService: VideoPlaylistService, confirmService: ConfirmService, metaService: MetaService, authService: AuthService, userService: UserService, serverService: ServerService, restExtractor: RestExtractor, notifier: Notifier, zone: NgZone, videoCaptionService: VideoCaptionService, hotkeysService: HotkeysService, hooks: HooksService, pluginService: PluginService, peertubeSocket: PeerTubeSocket, screenService: ScreenService, location: PlatformLocation, localeId: string);
    get user(): AuthUser;
    get anonymousUser(): import("@app/core").User;
    ngOnInit(): void;
    ngOnDestroy(): void;
    getCurrentTime(): number;
    getCurrentPlaylistPosition(): number;
    onRecommendations(videos: Video[]): void;
    handleTimestampClicked(timestamp: number): void;
    onPlaylistVideoFound(videoId: string): void;
    isUserLoggedIn(): boolean;
    isVideoBlur(video: Video): boolean;
    isChannelDisplayNameGeneric(): boolean;
    displayOtherVideosAsRow(): boolean;
    private loadRouteParams;
    private loadRouteQuery;
    private loadVideo;
    private loadPlaylist;
    private isSameElement;
    private handleRequestError;
    private handleGlobalError;
    private onVideoFetched;
    private buildPlayer;
    private playNextVideoInAngularZone;
    private isAutoplay;
    private isAutoPlayNext;
    private isPlaylistAutoPlayNext;
    private flushPlayer;
    private buildPlayerManagerOptions;
    private subscribeToLiveEventsIfNeeded;
    private buildLiveEventsSubscription;
    private handleLiveStateChange;
    private handleLiveViewsChange;
    private initHotkeys;
    private setOpenGraphTags;
}
