import { Subject } from 'rxjs';
import { OnInit } from '@angular/core';
import { Notifier, ScreenService, User, UserService } from '@app/core';
import { Video } from '@app/shared/shared-main';
import { OverviewService } from './overview.service';
import { VideosOverview } from './videos-overview.model';
export declare class VideoOverviewComponent implements OnInit {
    private notifier;
    private userService;
    private overviewService;
    private screenService;
    onDataSubject: Subject<any>;
    overviews: VideosOverview[];
    notResults: boolean;
    userMiniature: User;
    private loaded;
    private currentPage;
    private maxPage;
    private lastWasEmpty;
    private isLoading;
    constructor(notifier: Notifier, userService: UserService, overviewService: OverviewService, screenService: ScreenService);
    ngOnInit(): void;
    buildVideoChannelBy(object: {
        videos: Video[];
    }): string;
    buildVideoChannel(object: {
        videos: Video[];
    }): {
        id: number;
        name: string;
        displayName: string;
        url: string;
        host: string;
        avatar?: import("@shared/models/actors").ActorImage;
    };
    buildVideos(videos: Video[]): Video[];
    onNearOfBottom(): void;
    private loadMoreResults;
}
