import { AuthService, ComponentPaginationLight, DisableForReuseHook, ScopedTokensService } from '@app/core';
import { HooksService } from '@app/core/plugins/hooks.service';
import { VideoService } from '@app/shared/shared-main';
import { UserSubscriptionService } from '@app/shared/shared-user-subscription';
import { VideoFilters } from '@app/shared/shared-video-miniature';
import { VideoSortField } from '@shared/models';
export declare class VideoUserSubscriptionsComponent implements DisableForReuseHook {
    private authService;
    private userSubscription;
    private hooks;
    private videoService;
    private scopedTokensService;
    getVideosObservableFunction: (pagination: ComponentPaginationLight, filters: VideoFilters) => import("rxjs").Observable<import("@shared/models").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItemsFunction: () => Promise<{
        format: import("@shared/models").FeedFormat;
        label: string;
        url: string;
    }[]>;
    defaultSort: VideoSortField;
    actions: {
        routerLink: string;
        label: string;
        iconName: "cog";
    }[];
    titlePage: string;
    disabled: boolean;
    private feedToken;
    constructor(authService: AuthService, userSubscription: UserSubscriptionService, hooks: HooksService, videoService: VideoService, scopedTokensService: ScopedTokensService);
    getVideosObservable(pagination: ComponentPaginationLight, filters: VideoFilters): import("rxjs").Observable<import("@shared/models").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItems(): Promise<{
        format: import("@shared/models").FeedFormat;
        label: string;
        url: string;
    }[]>;
    disableForReuse(): void;
    enabledForReuse(): void;
    private loadFeedToken;
}
