import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ComponentPaginationLight, DisableForReuseHook, MetaService, RedirectService, ServerService } from '@app/core';
import { HooksService } from '@app/core/plugins/hooks.service';
import { VideoService } from '@app/shared/shared-main';
import { VideoFilters, VideoFilterScope } from '@app/shared/shared-video-miniature/video-filters.model';
import { ClientFilterHookName, VideoSortField } from '@shared/models';
export declare type VideosListCommonPageRouteData = {
    sort: VideoSortField;
    scope: VideoFilterScope;
    hookParams: ClientFilterHookName;
    hookResult: ClientFilterHookName;
};
export declare class VideosListCommonPageComponent implements OnInit, OnDestroy, DisableForReuseHook {
    private server;
    private route;
    private videoService;
    private hooks;
    private meta;
    private redirectService;
    getVideosObservableFunction: (pagination: ComponentPaginationLight, filters: VideoFilters) => import("rxjs").Observable<import("@shared/models").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItemsFunction: (filters: VideoFilters) => {
        format: import("@shared/models").FeedFormat;
        label: string;
        url: string;
    }[];
    baseRouteBuilderFunction: (filters: VideoFilters) => string[];
    title: string;
    titleTooltip: string;
    groupByDate: boolean;
    defaultSort: VideoSortField;
    defaultScope: VideoFilterScope;
    hookParams: ClientFilterHookName;
    hookResult: ClientFilterHookName;
    loadUserVideoPreferences: boolean;
    displayFilters: boolean;
    disabled: boolean;
    private trendingDays;
    private routeSub;
    constructor(server: ServerService, route: ActivatedRoute, videoService: VideoService, hooks: HooksService, meta: MetaService, redirectService: RedirectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getVideosObservable(pagination: ComponentPaginationLight, filters: VideoFilters): import("rxjs").Observable<import("@shared/models").ResultList<import("@app/shared/shared-main").Video>>;
    getSyndicationItems(filters: VideoFilters): {
        format: import("@shared/models").FeedFormat;
        label: string;
        url: string;
    }[];
    onFiltersChanged(filters: VideoFilters): void;
    baseRouteBuilder(filters: VideoFilters): string[];
    disableForReuse(): void;
    enabledForReuse(): void;
    update(page: string): void;
    private getData;
    private generateRecentlyAddedData;
    private generateLocalData;
    private generateTrendingData;
    private parseTrendingAlgorithm;
    private updateGroupByDate;
    private buildTitle;
    private getSanitizedSort;
}
