import { HotkeysService } from 'angular2-hotkeys';
import { PlatformLocation } from '@angular/common';
import { AfterViewInit, OnInit } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { Router } from '@angular/router';
import { AuthService, MarkdownService, PeerTubeRouterService, RedirectService, ScreenService, ScrollService, ServerService, ThemeService } from '@app/core';
import { HooksService } from '@app/core/plugins/hooks.service';
import { PluginService } from '@app/core/plugins/plugin.service';
import { AccountSetupWarningModalComponent } from '@app/modal/account-setup-warning-modal.component';
import { CustomModalComponent } from '@app/modal/custom-modal.component';
import { InstanceConfigWarningModalComponent } from '@app/modal/instance-config-warning-modal.component';
import { AdminWelcomeModalComponent } from '@app/modal/admin-welcome-modal.component';
import { NgbConfig, NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { LoadingBarService } from '@ngx-loading-bar/core';
import { MenuService } from './core/menu/menu.service';
import { InstanceService } from './shared/shared-instance';
export declare class AppComponent implements OnInit, AfterViewInit {
    private document;
    private localeId;
    private router;
    private authService;
    private serverService;
    private peertubeRouter;
    private pluginService;
    private instanceService;
    private domSanitizer;
    private redirectService;
    private screenService;
    private hotkeysService;
    private themeService;
    private hooks;
    private location;
    private modalService;
    private markdownService;
    private ngbConfig;
    private loadingBar;
    private scrollService;
    menu: MenuService;
    private static BROADCAST_MESSAGE_KEY;
    accountSetupWarningModal: AccountSetupWarningModalComponent;
    adminWelcomeModal: AdminWelcomeModalComponent;
    instanceConfigWarningModal: InstanceConfigWarningModalComponent;
    customModal: CustomModalComponent;
    customCSS: SafeHtml;
    broadcastMessage: {
        message: string;
        dismissable: boolean;
        class: string;
    } | null;
    private serverConfig;
    constructor(document: Document, localeId: string, router: Router, authService: AuthService, serverService: ServerService, peertubeRouter: PeerTubeRouterService, pluginService: PluginService, instanceService: InstanceService, domSanitizer: DomSanitizer, redirectService: RedirectService, screenService: ScreenService, hotkeysService: HotkeysService, themeService: ThemeService, hooks: HooksService, location: PlatformLocation, modalService: NgbModal, markdownService: MarkdownService, ngbConfig: NgbConfig, loadingBar: LoadingBarService, scrollService: ScrollService, menu: MenuService);
    get instanceName(): string;
    goToDefaultRoute(): Promise<boolean>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getToggleTitle(): string;
    isUserLoggedIn(): boolean;
    hideBroadcastMessage(): void;
    private initRouteEvents;
    private injectBroadcastMessage;
    private injectJS;
    private injectCSS;
    private openModalsIfNeeded;
    private openAdminModalsIfNeeded;
    private openAccountModalsIfNeeded;
    private initHotkeys;
}
