import { Observable } from 'rxjs';
import { User } from '@app/core/users/user.model';
import { TokenOptions, Tokens } from '@root-helpers/users';
import { MyUser as ServerMyUserModel, MyUserSpecialPlaylist, User as ServerUserModel, UserRight, UserVideoQuota } from '@shared/models';
export declare class AuthUser extends User implements ServerMyUserModel {
    tokens: Tokens;
    specialPlaylists: MyUserSpecialPlaylist[];
    canSeeVideosLink: boolean;
    static load(): AuthUser;
    static flush(): void;
    constructor(userHash: Partial<ServerMyUserModel>, hashTokens: TokenOptions);
    getAccessToken(): string;
    getRefreshToken(): string;
    getTokenType(): string;
    refreshTokens(accessToken: string, refreshToken: string): void;
    hasRight(right: UserRight): boolean;
    canManage(user: ServerUserModel): boolean;
    save(): void;
    computeCanSeeVideosLink(quotaObservable: Observable<UserVideoQuota>): Observable<boolean>;
}
