import { Hotkey, HotkeysService } from 'angular2-hotkeys';
import { Observable, ReplaySubject } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { Router } from '@angular/router';
import { Notifier } from '@app/core/notification/notifier.service';
import { RestExtractor } from '../rest/rest-extractor.service';
import { AuthStatus } from './auth-status.model';
import { AuthUser } from './auth-user.model';
export declare class AuthService {
    private http;
    private notifier;
    private hotkeysService;
    private restExtractor;
    private router;
    private static BASE_CLIENT_URL;
    private static BASE_TOKEN_URL;
    private static BASE_REVOKE_TOKEN_URL;
    private static BASE_USER_INFORMATION_URL;
    private static LOCAL_STORAGE_OAUTH_CLIENT_KEYS;
    loginChangedSource: Observable<AuthStatus>;
    userInformationLoaded: ReplaySubject<boolean>;
    hotkeys: Hotkey[];
    private clientId;
    private clientSecret;
    private loginChanged;
    private user;
    private refreshingTokenObservable;
    constructor(http: HttpClient, notifier: Notifier, hotkeysService: HotkeysService, restExtractor: RestExtractor, router: Router);
    loadClientCredentials(): void;
    getRefreshToken(): string;
    getRequestHeaderValue(): string;
    getAccessToken(): string;
    getTokenType(): string;
    getUser(): AuthUser;
    isLoggedIn(): boolean;
    login(username: string, password: string, token?: string): Observable<void>;
    logout(): void;
    refreshAccessToken(): Observable<any>;
    refreshUserInformation(): void;
    private mergeUserInformation;
    private handleLogin;
    private handleRefreshToken;
    private setStatus;
}
