import { GlobalIconName } from '@app/shared/shared-icons';
import { HTMLServerConfig } from '@shared/models/server';
import { ScreenService } from '../wrappers';
export declare type MenuLink = {
    icon: GlobalIconName;
    label: string;
    shortLabel: string;
    path: string;
};
export declare type MenuSection = {
    key: string;
    title: string;
    links: MenuLink[];
};
export declare class MenuService {
    private screenService;
    isMenuDisplayed: boolean;
    isMenuChangedByUser: boolean;
    menuWidth: number;
    constructor(screenService: ScreenService);
    toggleMenu(): void;
    isDisplayed(): boolean;
    setMenuDisplay(display: boolean): void;
    onResize(): void;
    buildLibraryLinks(userCanSeeVideosLink: boolean): MenuSection;
    buildCommonLinks(config: HTMLServerConfig): MenuSection;
    private handleWindowResize;
}
