import { LiveVideoEventPayload, LiveVideoEventType, UserNotification as UserNotificationServer } from '@shared/models';
import { AuthService } from '../auth';
export declare type NotificationEvent = 'new' | 'read' | 'read-all';
export declare class PeerTubeSocket {
    private auth;
    private io;
    private notificationSubject;
    private liveVideosSubject;
    private notificationSocket;
    private liveVideosSocket;
    constructor(auth: AuthService);
    getMyNotificationsSocket(): Promise<import("rxjs").Observable<{
        type: NotificationEvent;
        notification?: UserNotificationServer;
    }>>;
    getLiveVideosObservable(): import("rxjs").Observable<{
        type: LiveVideoEventType;
        payload: LiveVideoEventPayload;
    }>;
    subscribeToLiveVideosSocket(videoId: number): Promise<void>;
    unsubscribeLiveVideos(videoId: number): void;
    dispatchNotificationEvent(type: NotificationEvent, notification?: UserNotificationServer): void;
    private initNotificationSocket;
    private initLiveVideosSocket;
    private importIOIfNeeded;
    private dispatchLiveVideoEvent;
}
