import { Observable } from 'rxjs';
import { PluginService } from '@app/core/plugins/plugin.service';
import { ClientActionHookName, ClientFilterHookName, PluginClientScope } from '@shared/models';
import { AuthService } from '../auth';
declare type RawFunction<U, T> = (params: U) => T;
declare type ObservableFunction<U, T> = RawFunction<U, Observable<T>>;
export declare class HooksService {
    private authService;
    private pluginService;
    constructor(authService: AuthService, pluginService: PluginService);
    wrapObsFun<P, R, H1 extends ClientFilterHookName, H2 extends ClientFilterHookName>(fun: ObservableFunction<P, R>, params: P, scope: PluginClientScope, hookParamName: H1, hookResultName: H2): Observable<R>;
    wrapFun<P, R, H1 extends ClientFilterHookName, H2 extends ClientFilterHookName>(fun: RawFunction<P, R>, params: P, scope: PluginClientScope, hookParamName: H1, hookResultName: H2): Promise<R>;
    runAction<T, U extends ClientActionHookName>(hookName: U, scope: PluginClientScope, params?: T): void;
    wrapObject<T, U extends ClientFilterHookName>(result: T, scope: PluginClientScope, hookName: U): Promise<T>;
    private wrapObjectWithoutScopeLoad;
}
export {};
