import { LazyLoadEvent, SortMeta } from 'primeng/api';
import { ActivatedRoute, Router } from '@angular/router';
import { RestPagination } from './rest-pagination';
export declare abstract class RestTable {
    abstract totalRecords: number;
    abstract sort: SortMeta;
    abstract pagination: RestPagination;
    rowsPerPageOptions: number[];
    rowsPerPage: number;
    expandedRows: {};
    search: string;
    protected route: ActivatedRoute;
    protected router: Router;
    abstract getIdentifier(): string;
    initialize(): void;
    loadSort(): void;
    loadLazy(event: LazyLoadEvent): void;
    saveSort(): void;
    onPage(event: {
        first: number;
        rows: number;
    }): void;
    onSearch(search: string): void;
    protected abstract reloadData(): void;
    private getSortLocalStorageKey;
}
