import { SortMeta } from 'primeng/api';
import { HttpParams } from '@angular/common/http';
import { ComponentPaginationLight } from './component-pagination.model';
import { RestPagination } from './rest-pagination';
interface QueryStringFilterPrefixes {
    [key: string]: {
        prefix: string;
        handler?: (v: string) => string | number | boolean;
        multiple?: boolean;
        isBoolean?: boolean;
    };
}
declare type ParseQueryStringFilters<K extends keyof any> = Partial<Record<K, string | number | boolean | (string | number | boolean)[]>>;
declare type ParseQueryStringFiltersResult<K extends keyof any> = ParseQueryStringFilters<K> & {
    search?: string;
};
export declare class RestService {
    addRestGetParams(params: HttpParams, pagination?: RestPagination, sort?: SortMeta | string): HttpParams;
    addArrayParams(params: HttpParams, name: string, values: (string | number)[]): HttpParams;
    addObjectParams(params: HttpParams, object: {
        [name: string]: any;
    }): HttpParams;
    componentToRestPagination(componentPagination: ComponentPaginationLight): RestPagination;
    parseQueryStringFilter<T extends QueryStringFilterPrefixes>(q: string, prefixes: T): ParseQueryStringFiltersResult<keyof T>;
    tokenizeString(q: string): string[];
}
export {};
