import { Observable } from 'rxjs';
import { CanDeactivate } from '@angular/router';
import { ConfirmService } from '@app/core/confirm';
export declare type CanComponentDeactivateResult = {
    text?: string;
    canDeactivate: Observable<boolean> | boolean;
};
export interface CanComponentDeactivate {
    canDeactivate: () => CanComponentDeactivateResult;
}
export declare class CanDeactivateGuard implements CanDeactivate<CanComponentDeactivate> {
    private confirmService;
    constructor(confirmService: ConfirmService);
    canDeactivate(component: CanComponentDeactivate): true | Observable<boolean> | Promise<boolean>;
}
