import { CanActivate, CanDeactivate } from '@angular/router';
import { MenuService } from '../menu';
import { ScreenService } from '../wrappers';
declare abstract class MenuGuard implements CanActivate, CanDeactivate<any> {
    protected menu: MenuService;
    protected screen: ScreenService;
    protected display: boolean;
    canDeactivate: () => boolean;
    constructor(menu: MenuService, screen: ScreenService, display: boolean);
    canActivate(): boolean;
}
export declare class OpenMenuGuard extends MenuGuard {
    constructor(menu: MenuService, screen: ScreenService);
}
export declare class OpenMenuAlwaysGuard extends MenuGuard {
    constructor(menu: MenuService, screen: ScreenService);
    canActivate(): boolean;
}
export declare class CloseMenuGuard extends MenuGuard {
    constructor(menu: MenuService, screen: ScreenService);
}
export declare class CloseMenuAlwaysGuard extends MenuGuard {
    constructor(menu: MenuService, screen: ScreenService);
    canActivate(): boolean;
}
export declare class MenuGuards {
    static guards: (typeof OpenMenuGuard)[];
    static open(always?: boolean): typeof OpenMenuGuard;
    static close(always?: boolean): typeof CloseMenuGuard;
}
export {};
