import { ActivatedRoute, ActivatedRouteSnapshot, NavigationEnd, Router, Scroll } from '@angular/router';
import { ServerService } from '../server';
export declare const enum RouterSetting {
    NONE = 0,
    REUSE_COMPONENT = 1,
    DISABLE_SCROLL_RESTORE = 2
}
export declare class PeerTubeRouterService {
    private route;
    private router;
    private server;
    static readonly ROUTE_SETTING_NAME = "s";
    constructor(route: ActivatedRoute, router: Router, server: ServerService);
    addRouteSetting(toAdd: RouterSetting): void;
    deleteRouteSetting(toDelete: RouterSetting): void;
    getRouteSetting(snapshot?: ActivatedRouteSnapshot): any;
    setRouteSetting(value: number): void;
    hasRouteSetting(setting: RouterSetting, snapshot?: ActivatedRouteSnapshot): boolean;
    getNavigationEndEvents(): import("rxjs").Observable<NavigationEnd>;
    getScrollEvents(): import("rxjs").Observable<Scroll>;
    silentNavigate(baseRoute: string[], queryParams: {
        [id: string]: string;
    }): Promise<boolean>;
}
