import { Observable, Subject } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { HTMLServerConfig, ServerConfig, ServerStats, VideoConstant } from '@shared/models';
export declare class ServerService {
    private http;
    private localeId;
    private static BASE_CONFIG_URL;
    private static BASE_VIDEO_URL;
    private static BASE_VIDEO_PLAYLIST_URL;
    private static BASE_LOCALE_URL;
    private static BASE_STATS_URL;
    configReloaded: Subject<ServerConfig>;
    private localeObservable;
    private videoLicensesObservable;
    private videoCategoriesObservable;
    private videoPrivaciesObservable;
    private videoPlaylistPrivaciesObservable;
    private videoLanguagesObservable;
    private configObservable;
    private configReset;
    private configLoaded;
    private config;
    private htmlConfig;
    constructor(http: HttpClient, localeId: string);
    loadHTMLConfig(): void | Observable<ServerConfig>;
    getServerVersionAndCommit(): string;
    resetConfig(): Observable<ServerConfig>;
    getConfig(): Observable<ServerConfig>;
    getHTMLConfig(): HTMLServerConfig;
    getVideoCategories(): Observable<VideoConstant<number>[]>;
    getVideoLicences(): Observable<VideoConstant<number>[]>;
    getVideoLanguages(): Observable<VideoConstant<string>[]>;
    getVideoPrivacies(): Observable<VideoConstant<number>[]>;
    getVideoPlaylistPrivacies(): Observable<VideoConstant<number>[]>;
    getServerLocale(): Observable<any>;
    getServerStats(): Observable<ServerStats>;
    private loadAttributeEnum;
    private loadHTMLConfigLocally;
}
