import { Account } from '@app/shared/shared-main/account/account.model';
import { ActorImage, HTMLServerConfig, NSFWPolicyType, User as UserServerModel, UserAdminFlag, UserNotificationSetting, UserRight, UserRole, VideoChannel } from '@shared/models';
export declare class User implements UserServerModel {
    id: number;
    username: string;
    email: string;
    pendingEmail: string | null;
    emailVerified: boolean;
    nsfwPolicy: NSFWPolicyType;
    adminFlags?: UserAdminFlag;
    autoPlayVideo: boolean;
    autoPlayNextVideo: boolean;
    autoPlayNextVideoPlaylist: boolean;
    webTorrentEnabled: boolean;
    videosHistoryEnabled: boolean;
    videoLanguages: string[];
    role: UserRole;
    roleLabel: string;
    videoQuota: number;
    videoQuotaDaily: number;
    videoQuotaUsed?: number;
    videoQuotaUsedDaily?: number;
    videosCount?: number;
    videoCommentsCount?: number;
    abusesCount?: number;
    abusesAcceptedCount?: number;
    abusesCreatedCount?: number;
    theme: string;
    account: Account;
    notificationSettings?: UserNotificationSetting;
    videoChannels?: VideoChannel[];
    blocked: boolean;
    blockedReason?: string;
    noInstanceConfigWarningModal: boolean;
    noWelcomeModal: boolean;
    noAccountSetupWarningModal: boolean;
    pluginAuth: string | null;
    lastLoginDate: Date | null;
    createdAt: Date;
    constructor(hash: Partial<UserServerModel>);
    hasRight(right: UserRight): boolean;
    patch(obj: UserServerModel): void;
    updateAccountAvatar(newAccountAvatar?: ActorImage): void;
    isUploadDisabled(): boolean;
    isAutoBlocked(serverConfig: HTMLServerConfig): boolean;
}
