import { Observable, Subject } from 'rxjs';
declare abstract class StorageService {
    protected instance: Storage;
    static storageSub: Subject<string>;
    watch(keys?: string[]): Observable<string>;
    getItem<T extends string>(key: string): T;
    setItem(key: string, data: any, notifyOfUpdate?: boolean): void;
    removeItem(key: string, notifyOfUpdate?: boolean): void;
}
export declare class LocalStorageService extends StorageService {
    protected instance: Storage;
}
export declare class SessionStorageService extends StorageService {
    protected instance: Storage;
}
export {};
