import { ListKeyManager } from '@angular/cdk/a11y';
import { AfterViewChecked, OnDestroy, OnInit, QueryList } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, ServerService } from '@app/core';
import { HTMLServerConfig, SearchTargetType } from '@shared/models';
import { SuggestionComponent, SuggestionPayload, SuggestionPayloadType } from './suggestion.component';
export declare class SearchTypeaheadComponent implements OnInit, AfterViewChecked, OnDestroy {
    private authService;
    private router;
    private route;
    private serverService;
    suggestionItems: QueryList<SuggestionComponent>;
    hasChannel: boolean;
    inChannel: boolean;
    areSuggestionsOpened: boolean;
    search: string;
    serverConfig: HTMLServerConfig;
    inThisChannelText: string;
    keyboardEventsManager: ListKeyManager<SuggestionComponent>;
    results: SuggestionPayload[];
    activeSearch: SuggestionPayloadType;
    private scheduleKeyboardEventsInit;
    constructor(authService: AuthService, router: Router, route: ActivatedRoute, serverService: ServerService);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    areInstructionsDisplayed(): boolean;
    showSearchGlobalHelp(): boolean;
    canSearchAnyURI(): boolean;
    onSearchChange(): void;
    initKeyboardEventsManager(): void;
    computeTypeahead(): void;
    updateItemsState(index?: number): void;
    onSuggestionlicked(payload: SuggestionPayload): void;
    onSuggestionHover(index: number): void;
    handleKey(event: KeyboardEvent): void;
    isOnSearch(): boolean;
    doSearch(searchTarget?: SearchTargetType): void;
    private loadUserLanguagesIfNeeded;
    private buildSearchTarget;
}
