import { HotkeysService } from 'angular2-hotkeys';
import { ViewportScroller } from '@angular/common';
import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, AuthUser, HooksService, MenuSection, MenuService, RedirectService, ScreenService, ServerService, UserService } from '@app/core';
import { LanguageChooserComponent } from '@app/menu/language-chooser.component';
import { QuickSettingsModalComponent } from '@app/modal/quick-settings-modal.component';
import { PeertubeModalService } from '@app/shared/shared-main/peertube-modal/peertube-modal.service';
import { NgbDropdown } from '@ng-bootstrap/ng-bootstrap';
import { UserRight } from '@shared/models';
export declare class MenuComponent implements OnInit {
    private viewportScroller;
    private authService;
    private userService;
    private serverService;
    private redirectService;
    private hotkeysService;
    private screenService;
    private menuService;
    private modalService;
    private router;
    private hooks;
    languageChooserModal: LanguageChooserComponent;
    quickSettingsModal: QuickSettingsModalComponent;
    dropdown: NgbDropdown;
    user: AuthUser;
    isLoggedIn: boolean;
    userHasAdminAccess: boolean;
    helpVisible: boolean;
    videoLanguages: string[];
    nsfwPolicy: string;
    currentInterfaceLanguage: string;
    menuSections: MenuSection[];
    private languages;
    private htmlServerConfig;
    private serverConfig;
    private routesPerRight;
    constructor(viewportScroller: ViewportScroller, authService: AuthService, userService: UserService, serverService: ServerService, redirectService: RedirectService, hotkeysService: HotkeysService, screenService: ScreenService, menuService: MenuService, modalService: PeertubeModalService, router: Router, hooks: HooksService);
    get isInMobileView(): boolean;
    get dropdownContainer(): "body";
    get language(): any;
    ngOnInit(): void;
    isRegistrationAllowed(): boolean;
    getFirstAdminRightAvailable(): UserRight;
    getFirstAdminRouteAvailable(): string;
    logout(event: Event): void;
    openLanguageChooser(): void;
    openHotkeysCheatSheet(): void;
    openQuickSettings(): void;
    toggleUseP2P(): void;
    langForLocale(localeId: string): string;
    onActiveLinkScrollToAnchor(link: HTMLAnchorElement): void;
    onMenuScrollEvent(): void;
    onDropdownOpenChange(opened: boolean): void;
    private buildMenuSections;
    private buildUserLanguages;
    private computeAdminAccess;
    private computeVideosLink;
    private computeNSFWPolicy;
    private updateUserState;
}
