import { Subject } from 'rxjs';
import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Notifier, PeerTubeSocket, ScreenService } from '@app/core';
import { UserNotificationService } from '@app/shared/shared-main';
import { NgbPopover } from '@ng-bootstrap/ng-bootstrap';
export declare class NotificationComponent implements OnInit, OnDestroy {
    private userNotificationService;
    private screenService;
    private peertubeSocket;
    private notifier;
    private router;
    popover: NgbPopover;
    navigate: EventEmitter<HTMLAnchorElement>;
    unreadNotifications: number;
    loaded: boolean;
    opened: boolean;
    markAllAsReadSubject: Subject<boolean>;
    private notificationSub;
    private routeSub;
    constructor(userNotificationService: UserNotificationService, screenService: ScreenService, peertubeSocket: PeerTubeSocket, notifier: Notifier, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    get isInMobileView(): boolean;
    closePopover(): void;
    onPopoverShown(): void;
    onPopoverHidden(): void;
    onMenuScrollEvent(): void;
    onNotificationLoaded(): void;
    onNavigate(link: HTMLAnchorElement): void;
    markAllAsRead(): void;
    private subscribeToNotifications;
}
