import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { ActivatedRoute, Router } from '@angular/router';
import { ConfirmService, MarkdownService, Notifier, RestPagination, RestTable } from '@app/core';
import { DropdownAction, VideoService } from '@app/shared/shared-main';
import { AbuseService, BlocklistService, VideoBlockService } from '@app/shared/shared-moderation';
import { VideoCommentService } from '@app/shared/shared-video-comment';
import { AbuseState, AdminAbuse } from '@shared/models';
import { AdvancedInputFilter } from '../shared-forms';
import { AbuseMessageModalComponent } from './abuse-message-modal.component';
import { ModerationCommentModalComponent } from './moderation-comment-modal.component';
import { ProcessedAbuse } from './processed-abuse.model';
export declare class AbuseListTableComponent extends RestTable implements OnInit {
    protected route: ActivatedRoute;
    protected router: Router;
    private notifier;
    private abuseService;
    private blocklistService;
    private commentService;
    private videoService;
    private videoBlocklistService;
    private confirmService;
    private markdownRenderer;
    private sanitizer;
    viewType: 'admin' | 'user';
    abuseMessagesModal: AbuseMessageModalComponent;
    moderationCommentModal: ModerationCommentModalComponent;
    abuses: ProcessedAbuse[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    abuseActions: DropdownAction<ProcessedAbuse>[][];
    inputFilters: AdvancedInputFilter[];
    constructor(route: ActivatedRoute, router: Router, notifier: Notifier, abuseService: AbuseService, blocklistService: BlocklistService, commentService: VideoCommentService, videoService: VideoService, videoBlocklistService: VideoBlockService, confirmService: ConfirmService, markdownRenderer: MarkdownService, sanitizer: DomSanitizer);
    ngOnInit(): void;
    isAdminView(): boolean;
    getIdentifier(): string;
    openModerationCommentModal(abuse: AdminAbuse): void;
    onModerationCommentUpdated(): void;
    isAbuseAccepted(abuse: AdminAbuse): boolean;
    isAbuseRejected(abuse: AdminAbuse): boolean;
    getVideoUrl(abuse: AdminAbuse): string;
    getCommentUrl(abuse: AdminAbuse): string;
    getAccountUrl(abuse: ProcessedAbuse): string;
    removeAbuse(abuse: AdminAbuse): Promise<void>;
    updateAbuseState(abuse: AdminAbuse, state: AbuseState): void;
    onCountMessagesUpdated(event: {
        abuseId: number;
        countMessages: number;
    }): void;
    openAbuseMessagesModal(abuse: AdminAbuse): void;
    isLocalAbuse(abuse: AdminAbuse): boolean;
    protected reloadData(): import("rxjs").Subscription;
    private buildInternalActions;
    private buildFlaggedAccountActions;
    private buildAccountActions;
    private buildVideoActions;
    private buildCommentActions;
    private muteAccountHelper;
    private muteServerHelper;
    private toHtml;
}
