import { EventEmitter, OnInit } from '@angular/core';
import { AuthService, HtmlRendererService, Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { AbuseMessage, UserAbuse } from '@shared/models';
import { AbuseService } from '../shared-moderation';
export declare class AbuseMessageModalComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private htmlRenderer;
    private auth;
    private notifier;
    private abuseService;
    modal: NgbModal;
    isAdminView: boolean;
    countMessagesUpdated: EventEmitter<{
        abuseId: number;
        countMessages: number;
    }>;
    abuseMessages: (AbuseMessage & {
        messageHtml: string;
    })[];
    textareaMessage: string;
    sendingMessage: boolean;
    noResults: boolean;
    private openedModal;
    private abuse;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, htmlRenderer: HtmlRendererService, auth: AuthService, notifier: Notifier, abuseService: AbuseService);
    ngOnInit(): void;
    openModal(abuse: UserAbuse): void;
    hide(): void;
    addMessage(): void;
    deleteMessage(abuseMessage: AbuseMessage): void;
    isMessageByMe(abuseMessage: AbuseMessage): boolean;
    getPlaceholderMessage(): string;
    private loadMessages;
}
