declare type ActorInput = {
    name: string;
    avatar?: {
        url?: string;
        path: string;
    };
    url: string;
};
export declare type ActorAvatarSize = '18' | '25' | '32' | '34' | '36' | '40' | '100' | '120';
export declare class ActorAvatarComponent {
    private _title;
    account: ActorInput;
    channel: ActorInput;
    previewImage: string;
    size: ActorAvatarSize;
    href: string;
    internalHref: string | any[];
    set title(value: string);
    get title(): string;
    get alt(): string;
    get defaultAvatarUrl(): string;
    get avatarUrl(): string;
    get initial(): string;
    getClass(type: 'avatar' | 'initial'): string[];
    hasActor(): boolean;
    private getColorTheme;
}
export {};
