import { EventEmitter, OnInit } from '@angular/core';
import { AuthService, Notifier } from '@app/core';
import { Video, VideoService } from '../../shared-main';
import { MiniatureDisplayOptions } from '../../shared-video-miniature';
import { CustomMarkupComponent } from './shared';
export declare class VideosListMarkupComponent implements CustomMarkupComponent, OnInit {
    private auth;
    private videoService;
    private notifier;
    sort: string;
    categoryOneOf: number[];
    languageOneOf: string[];
    count: number;
    onlyDisplayTitle: boolean;
    isLocal: boolean;
    isLive: boolean;
    maxRows: number;
    channelHandle: string;
    accountHandle: string;
    loaded: EventEmitter<boolean>;
    videos: Video[];
    displayOptions: MiniatureDisplayOptions;
    constructor(auth: AuthService, videoService: VideoService, notifier: Notifier);
    getUser(): import("@app/core").AuthUser;
    limitRowsStyle(): {
        'grid-template-rows'?: undefined;
        'grid-auto-rows'?: undefined;
        'overflow-y'?: undefined;
    } | {
        'grid-template-rows': string;
        'grid-auto-rows': string;
        'overflow-y': string;
    };
    ngOnInit(): import("rxjs").Subscription;
    getVideosObservable(): import("rxjs").Observable<import("@shared/models").ResultList<Video>>;
}
