import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { RestService } from '@app/core';
export declare type AdvancedInputFilter = {
    title: string;
    children: AdvancedInputFilterChild[];
};
export declare type AdvancedInputFilterChild = {
    label: string;
    value: string;
};
export declare class AdvancedInputFilterComponent implements OnInit, AfterViewInit {
    private route;
    private restService;
    private router;
    filters: AdvancedInputFilter[];
    emitOnInit: boolean;
    search: EventEmitter<string>;
    searchValue: string;
    private enabledFilters;
    private searchStream;
    private viewInitialized;
    private emitSearchAfterViewInit;
    constructor(route: ActivatedRoute, restService: RestService, router: Router);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onInputSearch(event: Event): void;
    onResetTableFilter(): void;
    hasFilters(): boolean;
    isFilterEnabled(filter: AdvancedInputFilterChild): boolean;
    onFilterClick(filter: AdvancedInputFilterChild): void;
    private scheduleSearchUpdate;
    private immediateSearchUpdate;
    private listenToRouteSearchChange;
    private initSearchStream;
    private emitSearch;
    private setQueryParams;
    private removeFilterToSearch;
    private addFilterToSearch;
    private parseFilters;
}
