import { FormGroup } from '@angular/forms';
import { BuildFormArgument, BuildFormDefaultValues } from '../form-validators/form-validator.model';
import { FormValidatorService } from './form-validator.service';
export declare type FormReactiveErrors = {
    [id: string]: string | FormReactiveErrors;
};
export declare type FormReactiveValidationMessages = {
    [id: string]: {
        [name: string]: string;
    } | FormReactiveValidationMessages;
};
export declare abstract class FormReactive {
    protected abstract formValidatorService: FormValidatorService;
    protected formChanged: boolean;
    form: FormGroup;
    formErrors: any;
    validationMessages: FormReactiveValidationMessages;
    buildForm(obj: BuildFormArgument, defaultValues?: BuildFormDefaultValues): void;
    protected forceCheck(): void;
    protected check(): void;
    private onValueChanged;
}
