import { ViewportScroller } from '@angular/common';
import { ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SafeHtml } from '@angular/platform-browser';
import { MarkdownService, ScreenService } from '@app/core';
import { Video } from '@shared/models';
export declare class MarkdownTextareaComponent implements ControlValueAccessor, OnInit {
    private viewportScroller;
    private screenService;
    private markdownService;
    content: string;
    classes: string[] | {
        [klass: string]: any[] | any;
    };
    textareaMaxWidth: string;
    textareaHeight: string;
    truncate: number;
    markdownType: 'text' | 'enhanced';
    customMarkdownRenderer?: (text: string) => Promise<string | HTMLElement>;
    markdownVideo: Video;
    name: string;
    textareaElement: ElementRef;
    previewElement: ElementRef;
    truncatedPreviewHTML: SafeHtml | string;
    previewHTML: SafeHtml | string;
    isMaximized: boolean;
    disabled: boolean;
    maximizeInText: string;
    maximizeOutText: string;
    private contentChanged;
    private scrollPosition;
    constructor(viewportScroller: ViewportScroller, screenService: ScreenService, markdownService: MarkdownService);
    ngOnInit(): void;
    propagateChange: (_: any) => void;
    writeValue(description: string): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
    onMaximizeClick(): void;
    setDisabledState(isDisabled: boolean): void;
    private lockBodyScroll;
    private unlockBodyScroll;
    private updatePreviews;
    private markdownRender;
}
