import { SortMeta } from 'primeng/api';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { ActivityPubActorType, ActorFollow, FollowState, ResultList } from '@shared/models';
export declare class InstanceFollowService {
    private authHttp;
    private restService;
    private restExtractor;
    private static BASE_APPLICATION_URL;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    getFollowing(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
        actorType?: ActivityPubActorType;
        state?: FollowState;
    }): Observable<ResultList<ActorFollow>>;
    getFollowers(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
        actorType?: ActivityPubActorType;
        state?: FollowState;
    }): Observable<ResultList<ActorFollow>>;
    follow(hostsOrHandles: string[]): Observable<boolean>;
    unfollow(follow: ActorFollow): Observable<boolean>;
    acceptFollower(follow: ActorFollow): Observable<boolean>;
    rejectFollower(follow: ActorFollow): Observable<boolean>;
    removeFollower(follow: ActorFollow): Observable<boolean>;
}
