import { HttpClient } from '@angular/common/http';
import { MarkdownService, RestExtractor, ServerService } from '@app/core';
import { About } from '@shared/models';
export declare class InstanceService {
    private authHttp;
    private restExtractor;
    private markdownService;
    private serverService;
    private static BASE_CONFIG_URL;
    private static BASE_SERVER_URL;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor, markdownService: MarkdownService, serverService: ServerService);
    getAbout(): import("rxjs").Observable<About>;
    contactAdministrator(fromEmail: string, fromName: string, subject: string, message: string): import("rxjs").Observable<Object>;
    buildHtml(about: About): Promise<{
        terms: string;
        codeOfConduct: string;
        moderationInformation: string;
        administrator: string;
        creationReason: string;
        maintenanceLifetime: string;
        businessModel: string;
        hardwareInformation: string;
    }>;
    buildTranslatedLanguages(about: About): import("rxjs").Observable<string[]>;
    buildTranslatedCategories(about: About): import("rxjs").Observable<string[]>;
}
