import { Account as ServerAccount, ActorImage } from '@shared/models';
import { Actor } from './actor.model';
export declare class Account extends Actor implements ServerAccount {
    displayName: string;
    description: string;
    updatedAt: Date | string;
    nameWithHost: string;
    nameWithHostForced: string;
    mutedByUser: boolean;
    mutedByInstance: boolean;
    mutedServerByUser: boolean;
    mutedServerByInstance: boolean;
    userId?: number;
    static GET_ACTOR_AVATAR_URL(actor: {
        avatar?: {
            url?: string;
            path: string;
        };
    }): string;
    static GET_DEFAULT_AVATAR_URL(): string;
    constructor(hash: ServerAccount);
    updateAvatar(newAvatar: ActorImage): void;
    resetAvatar(): void;
}
