import { Actor as ServerActor, ActorImage } from '@shared/models';
export declare abstract class Actor implements ServerActor {
    id: number;
    name: string;
    host: string;
    url: string;
    followingCount: number;
    followersCount: number;
    createdAt: Date | string;
    avatar: ActorImage;
    isLocal: boolean;
    static GET_ACTOR_AVATAR_URL(actor: {
        avatar?: {
            url?: string;
            path: string;
        };
    }): string;
    static CREATE_BY_STRING(accountName: string, host: string, forceHostname?: boolean): string;
    static IS_LOCAL(host: string): boolean;
    protected constructor(hash: Partial<ServerActor>);
}
