import { GlobalIconName } from '@app/shared/shared-icons';
export declare type DropdownAction<T> = {
    label?: string;
    iconName?: GlobalIconName;
    description?: string;
    title?: string;
    handler?: (a: T) => any;
    linkBuilder?: (a: T) => (string | number)[];
    isDisplayed?: (a: T) => boolean;
    class?: string[];
    isHeader?: boolean;
};
export declare type DropdownButtonSize = 'normal' | 'small';
export declare type DropdownTheme = 'orange' | 'grey';
export declare type DropdownDirection = 'horizontal' | 'vertical';
export declare class ActionDropdownComponent<T> {
    actions: DropdownAction<T>[] | DropdownAction<T>[][];
    entry: T;
    placement: string;
    container: null | 'body';
    buttonSize: DropdownButtonSize;
    buttonDirection: DropdownDirection;
    buttonStyled: boolean;
    label: string;
    theme: DropdownTheme;
    getActions(): DropdownAction<T>[][];
    areActionsDisplayed(actions: Array<DropdownAction<T> | DropdownAction<T>[]>, entry: T): boolean;
}
