import { AfterViewInit, ChangeDetectorRef, ElementRef, QueryList, TemplateRef } from '@angular/core';
import { ScreenService } from '@app/core';
import { NgbDropdown, NgbModal } from '@ng-bootstrap/ng-bootstrap';
export interface ListOverflowItem {
    label: string;
    routerLink: string | any[];
}
export declare class ListOverflowComponent<T extends ListOverflowItem> implements AfterViewInit {
    private cdr;
    private modalService;
    private screenService;
    items: T[];
    itemTemplate: TemplateRef<{
        item: T;
    }>;
    modal: ElementRef;
    parent: ElementRef<HTMLDivElement>;
    itemsRendered: QueryList<ElementRef>;
    showItemsUntilIndexExcluded: number;
    active: boolean;
    isInTouchScreen: boolean;
    isInMobileView: boolean;
    private openedOnHover;
    constructor(cdr: ChangeDetectorRef, modalService: NgbModal, screenService: ScreenService);
    ngAfterViewInit(): void;
    isMenuDisplayed(): boolean;
    onWindowResize(): void;
    openDropdownOnHover(dropdown: NgbDropdown): void;
    dropdownAnchorClicked(dropdown: NgbDropdown): void;
    closeDropdownIfHovered(dropdown: NgbDropdown): void;
    toggleModal(): void;
    dismissOtherModals(): void;
    getId(id?: number | string): string;
}
