import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { MenuService, ScreenService } from '@app/core';
import { GlobalIconName } from '@app/shared/shared-icons';
import { NgbDropdown, NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare type TopMenuDropdownParam = {
    label: string;
    routerLink?: string;
    isDisplayed?: () => boolean;
    children?: {
        label: string;
        routerLink: string;
        iconName?: GlobalIconName;
        isDisplayed?: () => boolean;
    }[];
};
export declare class TopMenuDropdownComponent implements OnInit, OnDestroy {
    private router;
    private modalService;
    private screen;
    private menuService;
    menuEntries: TopMenuDropdownParam[];
    modal: NgbModal;
    suffixLabels: {
        [parentLabel: string]: string;
    };
    hasIcons: boolean;
    isModalOpened: boolean;
    currentMenuEntryIndex: number;
    private routeSub;
    constructor(router: Router, modalService: NgbModal, screen: ScreenService, menuService: MenuService);
    get isInSmallView(): boolean;
    get isBroadcastMessageDisplayed(): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    dropdownAnchorClicked(dropdown: NgbDropdown): void;
    openModal(index: number): void;
    onModalDismiss(): void;
    onActiveLinkScrollToTop(link: HTMLAnchorElement): void;
    dismissOtherModals(): void;
    isDisplayed(obj: {
        isDisplayed?: () => boolean;
    }): boolean;
    private updateChildLabels;
}
