import { AuthUser } from '@app/core';
import { AbuseState, ActorInfo, FollowState, PluginType, UserNotification as UserNotificationServer, UserNotificationType, VideoInfo } from '@shared/models';
export declare class UserNotification implements UserNotificationServer {
    id: number;
    type: UserNotificationType;
    read: boolean;
    video?: VideoInfo & {
        channel: ActorInfo & {
            avatarUrl?: string;
        };
    };
    videoImport?: {
        id: number;
        video?: VideoInfo;
        torrentName?: string;
        magnetUri?: string;
        targetUrl?: string;
    };
    comment?: {
        id: number;
        threadId: number;
        account: ActorInfo & {
            avatarUrl?: string;
        };
        video: VideoInfo;
    };
    abuse?: {
        id: number;
        state: AbuseState;
        video?: VideoInfo;
        comment?: {
            threadId: number;
            video: VideoInfo;
        };
        account?: ActorInfo;
    };
    videoBlacklist?: {
        id: number;
        video: VideoInfo;
    };
    account?: ActorInfo & {
        avatarUrl?: string;
    };
    actorFollow?: {
        id: number;
        state: FollowState;
        follower: ActorInfo & {
            avatarUrl?: string;
        };
        following: {
            type: 'account' | 'channel' | 'instance';
            name: string;
            displayName: string;
            host: string;
        };
    };
    plugin?: {
        name: string;
        type: PluginType;
        latestVersion: string;
    };
    peertube?: {
        latestVersion: string;
    };
    createdAt: string;
    updatedAt: string;
    videoUrl?: string;
    commentUrl?: any[];
    abuseUrl?: string;
    abuseQueryParams?: {
        [id: string]: string;
    };
    videoAutoBlacklistUrl?: string;
    accountUrl?: string;
    videoImportIdentifier?: string;
    videoImportUrl?: string;
    instanceFollowUrl?: string;
    peertubeVersionLink?: string;
    pluginUrl?: string;
    pluginQueryParams?: {
        [id: string]: string;
    };
    constructor(hash: UserNotificationServer, user: AuthUser);
    private buildVideoUrl;
    private buildAccountUrl;
    private buildVideoImportUrl;
    private buildVideoImportIdentifier;
    private buildCommentUrl;
    private setAccountAvatarUrl;
    private setVideoChannelAvatarUrl;
}
