import { SortMeta } from 'primeng/api';
import { HttpClient } from '@angular/common/http';
import { AuthService, ComponentPaginationLight, PeerTubeSocket, RestExtractor, RestService } from '@app/core';
import { ResultList, UserNotificationSetting } from '@shared/models';
import { UserNotification } from './user-notification.model';
export declare class UserNotificationService {
    private authHttp;
    private auth;
    private restExtractor;
    private restService;
    private peertubeSocket;
    static BASE_NOTIFICATIONS_URL: string;
    static BASE_NOTIFICATION_SETTINGS: string;
    constructor(authHttp: HttpClient, auth: AuthService, restExtractor: RestExtractor, restService: RestService, peertubeSocket: PeerTubeSocket);
    listMyNotifications(parameters: {
        pagination: ComponentPaginationLight;
        ignoreLoadingBar?: boolean;
        unread?: boolean;
        sort?: SortMeta;
    }): import("rxjs").Observable<ResultList<UserNotification>>;
    countUnreadNotifications(): import("rxjs").Observable<number>;
    markAsRead(notification: UserNotification): import("rxjs").Observable<boolean>;
    markAllAsRead(): import("rxjs").Observable<boolean>;
    updateNotificationSettings(settings: UserNotificationSetting): import("rxjs").Observable<boolean>;
    private formatNotification;
}
