import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, ServerService } from '@app/core';
import { ResultList, VideoCaption } from '@shared/models';
import { VideoCaptionEdit } from './video-caption-edit.model';
export declare class VideoCaptionService {
    private authHttp;
    private serverService;
    private restExtractor;
    constructor(authHttp: HttpClient, serverService: ServerService, restExtractor: RestExtractor);
    listCaptions(videoId: number | string): Observable<ResultList<VideoCaption>>;
    removeCaption(videoId: number | string, language: string): Observable<boolean>;
    addCaption(videoId: number | string, language: string, captionfile: File): Observable<boolean>;
    updateCaptions(videoId: number | string, videoCaptions: VideoCaptionEdit[]): Observable<boolean>;
}
