import { Account as ServerAccount, ActorImage, VideoChannel as ServerVideoChannel, ViewsPerDate } from '@shared/models';
import { Actor } from '../account/actor.model';
export declare class VideoChannel extends Actor implements ServerVideoChannel {
    displayName: string;
    description: string;
    support: string;
    isLocal: boolean;
    nameWithHost: string;
    nameWithHostForced: string;
    banner: ActorImage;
    bannerUrl: string;
    updatedAt: Date | string;
    ownerAccount?: ServerAccount;
    ownerBy?: string;
    videosCount?: number;
    viewsPerDay?: ViewsPerDate[];
    static GET_ACTOR_AVATAR_URL(actor: {
        avatar?: {
            url?: string;
            path: string;
        };
    }): string;
    static GET_ACTOR_BANNER_URL(channel: ServerVideoChannel): string;
    static GET_DEFAULT_AVATAR_URL(): string;
    constructor(hash: Partial<ServerVideoChannel>);
    updateAvatar(newAvatar: ActorImage): void;
    resetAvatar(): void;
    updateBanner(newBanner: ActorImage): void;
    resetBanner(): void;
    updateComputedAttributes(): void;
}
