import { Observable, ReplaySubject } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ComponentPaginationLight, RestExtractor, RestService } from '@app/core';
import { ActorImage, ResultList, VideoChannel as VideoChannelServer, VideoChannelCreate, VideoChannelUpdate } from '@shared/models';
import { Account } from '../account';
import { VideoChannel } from './video-channel.model';
export declare class VideoChannelService {
    private authHttp;
    private restService;
    private restExtractor;
    static BASE_VIDEO_CHANNEL_URL: string;
    videoChannelLoaded: ReplaySubject<VideoChannel>;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    static extractVideoChannels(result: ResultList<VideoChannelServer>): {
        data: VideoChannel[];
        total: number;
    };
    getVideoChannel(videoChannelName: string): Observable<VideoChannel>;
    listAccountVideoChannels(options: {
        account: Account;
        componentPagination?: ComponentPaginationLight;
        withStats?: boolean;
        sort?: string;
        search?: string;
    }): Observable<ResultList<VideoChannel>>;
    createVideoChannel(videoChannel: VideoChannelCreate): Observable<boolean>;
    updateVideoChannel(videoChannelName: string, videoChannel: VideoChannelUpdate): Observable<boolean>;
    changeVideoChannelImage(videoChannelName: string, avatarForm: FormData, type: 'avatar' | 'banner'): Observable<{
        avatar?: ActorImage;
        banner?: ActorImage;
    }>;
    deleteVideoChannelImage(videoChannelName: string, type: 'avatar' | 'banner'): Observable<boolean>;
    removeVideoChannel(videoChannel: VideoChannel): Observable<boolean>;
}
