import { SortMeta } from 'primeng/api';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { ResultList, Video, VideoRedundanciesTarget, VideoRedundancy } from '@shared/models';
export declare class RedundancyService {
    private authHttp;
    private restService;
    private restExtractor;
    static BASE_REDUNDANCY_URL: string;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    updateRedundancy(host: string, redundancyAllowed: boolean): Observable<boolean>;
    listVideoRedundancies(options: {
        pagination: RestPagination;
        sort: SortMeta;
        target?: VideoRedundanciesTarget;
    }): Observable<ResultList<VideoRedundancy>>;
    addVideoRedundancy(video: Video): Observable<Object>;
    removeVideoRedundancies(redundancy: VideoRedundancy): Observable<boolean[]>;
    private removeRedundancy;
}
