import { Account } from '@app/shared/shared-main/account/account.model';
import { VideoChannel } from '@app/shared/shared-main/video-channel/video-channel.model';
import { VideoConstant, VideoDetails as VideoDetailsServerModel, VideoFile, VideoState, VideoStreamingPlaylist } from '@shared/models';
import { Video } from './video.model';
export declare class VideoDetails extends Video implements VideoDetailsServerModel {
    descriptionPath: string;
    support: string;
    channel: VideoChannel;
    tags: string[];
    account: Account;
    commentsEnabled: boolean;
    downloadEnabled: boolean;
    waitTranscoding: boolean;
    state: VideoConstant<VideoState>;
    likesPercent: number;
    dislikesPercent: number;
    trackerUrls: string[];
    files: VideoFile[];
    streamingPlaylists: VideoStreamingPlaylist[];
    constructor(hash: VideoDetailsServerModel, translations?: {});
    buildLikeAndDislikePercents(): void;
    getHlsPlaylist(): VideoStreamingPlaylist;
    hasHlsPlaylist(): boolean;
    getFiles(): VideoFile[];
}
