import { Video, VideoPrivacy, VideoScheduleUpdate, VideoUpdate } from '@shared/models';
export declare class VideoEdit implements VideoUpdate {
    static readonly SPECIAL_SCHEDULED_PRIVACY = -1;
    category: number;
    licence: number;
    language: string;
    description: string;
    name: string;
    tags: string[];
    nsfw: boolean;
    commentsEnabled: boolean;
    downloadEnabled: boolean;
    waitTranscoding: boolean;
    channelId: number;
    privacy: VideoPrivacy;
    support: string;
    thumbnailfile?: any;
    previewfile?: any;
    thumbnailUrl: string;
    previewUrl: string;
    scheduleUpdate?: VideoScheduleUpdate;
    originallyPublishedAt?: Date | string;
    id?: number;
    uuid?: string;
    shortUUID?: string;
    pluginData?: any;
    constructor(video?: Video & {
        tags: string[];
        commentsEnabled: boolean;
        downloadEnabled: boolean;
        support: string;
        thumbnailUrl: string;
        previewUrl: string;
    });
    patch(values: {
        [id: string]: any;
    }): void;
    toFormPatch(): {
        category: number;
        licence: number;
        language: string;
        description: string;
        support: string;
        name: string;
        tags: string[];
        nsfw: boolean;
        commentsEnabled: boolean;
        downloadEnabled: boolean;
        waitTranscoding: boolean;
        channelId: number;
        privacy: VideoPrivacy;
        originallyPublishedAt: string | Date;
    };
}
