import { SortMeta } from 'primeng/api';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService, ServerService } from '@app/core';
import { ResultList, VideoImport, VideoUpdate } from '@shared/models';
export declare class VideoImportService {
    private authHttp;
    private restService;
    private restExtractor;
    private serverService;
    private static BASE_VIDEO_IMPORT_URL;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor, serverService: ServerService);
    importVideoUrl(targetUrl: string, video: VideoUpdate): Observable<VideoImport>;
    importVideoTorrent(target: string | Blob, video: VideoUpdate): Observable<VideoImport>;
    getMyVideoImports(pagination: RestPagination, sort: SortMeta): Observable<ResultList<VideoImport>>;
    private buildImportVideoObject;
    private extractVideoImports;
}
