import { SortMeta } from 'primeng/api';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { ResultList, VideoChangeOwnership, VideoChangeOwnershipAccept } from '@shared/models';
export declare class VideoOwnershipService {
    private authHttp;
    private restService;
    private restExtractor;
    private static BASE_VIDEO_CHANGE_OWNERSHIP_URL;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    changeOwnership(id: number, username: string): Observable<boolean>;
    getOwnershipChanges(pagination: RestPagination, sort: SortMeta): Observable<ResultList<VideoChangeOwnership>>;
    acceptOwnership(id: number, input: VideoChangeOwnershipAccept): Observable<boolean>;
    refuseOwnership(id: number): Observable<boolean>;
}
