import { SortMeta } from 'primeng/api';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { AbuseCreate, AbuseFilter, AbuseMessage, AbusePredefinedReasonsString, AbuseUpdate, AdminAbuse, ResultList, UserAbuse } from '@shared/models';
export declare class AbuseService {
    private authHttp;
    private restService;
    private restExtractor;
    private static BASE_ABUSE_URL;
    private static BASE_MY_ABUSE_URL;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    getAdminAbuses(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
    }): Observable<ResultList<AdminAbuse>>;
    getUserAbuses(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
    }): Observable<ResultList<UserAbuse>>;
    reportVideo(parameters: AbuseCreate): Observable<boolean>;
    updateAbuse(abuse: AdminAbuse, abuseUpdate: AbuseUpdate): Observable<boolean>;
    removeAbuse(abuse: AdminAbuse): Observable<boolean>;
    addAbuseMessage(abuse: UserAbuse, message: string): Observable<boolean>;
    listAbuseMessages(abuse: UserAbuse): Observable<ResultList<AbuseMessage>>;
    deleteAbuseMessage(abuse: UserAbuse, abuseMessage: AbuseMessage): Observable<boolean>;
    getPrefefinedReasons(type: AbuseFilter): {
        id: AbusePredefinedReasonsString;
        label: string;
        description?: string;
        help?: string;
    }[];
    private buildParamsFromSearch;
}
