import { SortMeta } from 'primeng/api';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { ResultList, ServerBlock } from '@shared/models';
import { Account } from '../shared-main';
import { AccountBlock } from './account-block.model';
export declare enum BlocklistComponentType {
    Account = 0,
    Instance = 1
}
export declare class BlocklistService {
    private authHttp;
    private restExtractor;
    private restService;
    static BASE_USER_BLOCKLIST_URL: string;
    static BASE_SERVER_BLOCKLIST_URL: string;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor, restService: RestService);
    /** ********************* User -> Account blocklist ***********************/
    getUserAccountBlocklist(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
    }): import("rxjs").Observable<ResultList<AccountBlock>>;
    blockAccountByUser(account: Pick<Account, 'nameWithHost'>): import("rxjs").Observable<Object>;
    unblockAccountByUser(account: Pick<Account, 'nameWithHost'>): import("rxjs").Observable<Object>;
    /** ********************* User -> Server blocklist ***********************/
    getUserServerBlocklist(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
    }): import("rxjs").Observable<ResultList<ServerBlock>>;
    blockServerByUser(host: string): import("rxjs").Observable<Object>;
    unblockServerByUser(host: string): import("rxjs").Observable<Object>;
    /** ********************* Instance -> Account blocklist ***********************/
    getInstanceAccountBlocklist(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
    }): import("rxjs").Observable<ResultList<AccountBlock>>;
    blockAccountByInstance(account: Pick<Account, 'nameWithHost'>): import("rxjs").Observable<Object>;
    unblockAccountByInstance(account: Pick<Account, 'nameWithHost'>): import("rxjs").Observable<Object>;
    /** ********************* Instance -> Server blocklist ***********************/
    getInstanceServerBlocklist(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
    }): import("rxjs").Observable<ResultList<ServerBlock>>;
    blockServerByInstance(host: string): import("rxjs").Observable<Object>;
    unblockServerByInstance(host: string): import("rxjs").Observable<Object>;
    private formatAccountBlock;
}
