import { OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { AbusePredefinedReasonsString } from '@shared/models';
import { Video } from '../../shared-main';
import { AbuseService } from '../abuse.service';
export declare class VideoReportComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private abuseService;
    private notifier;
    private sanitizer;
    video: Video;
    modal: NgbModal;
    error: string;
    predefinedReasons: {
        id: AbusePredefinedReasonsString;
        label: string;
        description?: string;
        help?: string;
    }[];
    private openedModal;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, abuseService: AbuseService, notifier: Notifier, sanitizer: DomSanitizer);
    get currentHost(): string;
    get originHost(): string;
    get timestamp(): any;
    ngOnInit(): void;
    show(): void;
    hide(): void;
    report(): void;
    isRemote(): boolean;
}
