import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { AuthService, ConfirmService, Notifier, ServerService, UserService } from '@app/core';
import { Account, DropdownAction } from '@app/shared/shared-main';
import { BulkRemoveCommentsOfBody, User } from '@shared/models';
import { BlocklistService } from './blocklist.service';
import { BulkService } from './bulk.service';
import { UserBanModalComponent } from './user-ban-modal.component';
export declare class UserModerationDropdownComponent implements OnInit, OnChanges {
    private authService;
    private notifier;
    private confirmService;
    private serverService;
    private userService;
    private blocklistService;
    private bulkService;
    userBanModal: UserBanModalComponent;
    user: User;
    account: Account;
    prependActions: DropdownAction<{
        user: User;
        account: Account;
    }>[];
    buttonSize: 'normal' | 'small';
    buttonStyled: boolean;
    placement: string;
    label: string;
    container: 'body' | undefined;
    userChanged: EventEmitter<any>;
    userDeleted: EventEmitter<any>;
    userActions: DropdownAction<{
        user: User;
        account: Account;
    }>[][];
    requiresEmailVerification: boolean;
    constructor(authService: AuthService, notifier: Notifier, confirmService: ConfirmService, serverService: ServerService, userService: UserService, blocklistService: BlocklistService, bulkService: BulkService);
    ngOnInit(): void;
    ngOnChanges(): void;
    openBanUserModal(user: User): void;
    onUserBanned(): void;
    unbanUser(user: User): Promise<void>;
    removeUser(user: User): Promise<void>;
    setEmailAsVerified(user: User): void;
    blockAccountByUser(account: Account): void;
    unblockAccountByUser(account: Account): void;
    blockServerByUser(host: string): void;
    unblockServerByUser(host: string): void;
    blockAccountByInstance(account: Account): void;
    unblockAccountByInstance(account: Account): void;
    blockServerByInstance(host: string): void;
    unblockServerByInstance(host: string): void;
    bulkRemoveCommentsOf(body: BulkRemoveCommentsOfBody): Promise<void>;
    getRouterUserEditLink(user: User): (string | number)[];
    private isMyUser;
    private isMyAccount;
    private buildActions;
    private buildMyAccountModerationActions;
    private buildInstanceModerationActions;
}
