import { SortMeta } from 'primeng/api';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestPagination, RestService } from '@app/core';
import { ResultList, VideoBlacklist, VideoBlacklistType } from '@shared/models';
export declare class VideoBlockService {
    private authHttp;
    private restService;
    private restExtractor;
    private static BASE_VIDEOS_URL;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    listBlocks(options: {
        pagination: RestPagination;
        sort: SortMeta;
        search?: string;
        type?: VideoBlacklistType;
    }): Observable<ResultList<VideoBlacklist>>;
    unblockVideo(videoIdArgs: number | number[]): Observable<Object[]>;
    blockVideo(options: {
        videoId: number;
        reason?: string;
        unfederate: boolean;
    }[]): Observable<Object[]>;
}
