import { BooleanBothQuery, BooleanQuery, SearchTargetType, VideoChannelsSearchQuery, VideoPlaylistsSearchQuery, VideosSearchQuery } from '@shared/models';
export declare class AdvancedSearch {
    startDate: string;
    endDate: string;
    originallyPublishedStartDate: string;
    originallyPublishedEndDate: string;
    nsfw: BooleanBothQuery;
    categoryOneOf: string;
    licenceOneOf: string;
    languageOneOf: string;
    tagsOneOf: string[];
    tagsAllOf: string[];
    durationMin: number;
    durationMax: number;
    isLive: BooleanQuery;
    host: string;
    sort: string;
    searchTarget: SearchTargetType;
    private silentFilters;
    constructor(options?: {
        startDate?: string;
        endDate?: string;
        originallyPublishedStartDate?: string;
        originallyPublishedEndDate?: string;
        nsfw?: BooleanBothQuery;
        categoryOneOf?: string;
        licenceOneOf?: string;
        languageOneOf?: string;
        tagsOneOf?: any;
        tagsAllOf?: any;
        isLive?: BooleanQuery;
        host?: string;
        durationMin?: string;
        durationMax?: string;
        sort?: string;
        searchTarget?: SearchTargetType;
    });
    containsValues(): boolean;
    reset(): void;
    toUrlObject(): {
        startDate: string;
        endDate: string;
        originallyPublishedStartDate: string;
        originallyPublishedEndDate: string;
        nsfw: BooleanBothQuery;
        categoryOneOf: string;
        licenceOneOf: string;
        languageOneOf: string;
        tagsOneOf: string[];
        tagsAllOf: string[];
        durationMin: number;
        durationMax: number;
        isLive: BooleanQuery;
        host: string;
        sort: string;
        searchTarget: SearchTargetType;
    };
    toVideosAPIObject(): VideosSearchQuery;
    toPlaylistAPIObject(): VideoPlaylistsSearchQuery;
    toChannelAPIObject(): VideoChannelsSearchQuery;
    size(): number;
    private isValidValue;
}
