import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ComponentPaginationLight, RestExtractor, RestService } from '@app/core';
import { Video, VideoChannel, VideoService } from '@app/shared/shared-main';
import { ResultList } from '@shared/models';
import { VideoPlaylist, VideoPlaylistService } from '../shared-video-playlist';
import { AdvancedSearch } from './advanced-search.model';
export declare class SearchService {
    private authHttp;
    private restExtractor;
    private restService;
    private videoService;
    private playlistService;
    static BASE_SEARCH_URL: string;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor, restService: RestService, videoService: VideoService, playlistService: VideoPlaylistService);
    searchVideos(parameters: {
        search?: string;
        componentPagination?: ComponentPaginationLight;
        advancedSearch?: AdvancedSearch;
        uuids?: string[];
    }): Observable<ResultList<Video>>;
    searchVideoChannels(parameters: {
        search?: string;
        advancedSearch?: AdvancedSearch;
        componentPagination?: ComponentPaginationLight;
        handles?: string[];
    }): Observable<ResultList<VideoChannel>>;
    searchVideoPlaylists(parameters: {
        search?: string;
        advancedSearch?: AdvancedSearch;
        componentPagination?: ComponentPaginationLight;
        uuids?: string[];
    }): Observable<ResultList<VideoPlaylist>>;
}
