import { ElementRef } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { VideoDetails } from '@app/shared/shared-main';
import { VideoPlaylist } from '@app/shared/shared-video-playlist';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { VideoCaption } from '@shared/models';
declare type Customizations = {
    startAtCheckbox: boolean;
    startAt: number;
    stopAtCheckbox: boolean;
    stopAt: number;
    subtitleCheckbox: boolean;
    subtitle: string;
    loop: boolean;
    originUrl: boolean;
    autoplay: boolean;
    muted: boolean;
    title: boolean;
    warningTitle: boolean;
    controls: boolean;
    peertubeLink: boolean;
};
declare type TabId = 'url' | 'qrcode' | 'embed';
export declare class VideoShareComponent {
    private modalService;
    private sanitizer;
    modal: ElementRef;
    video: VideoDetails;
    videoCaptions: VideoCaption[];
    playlist: VideoPlaylist;
    playlistPosition: number;
    activeVideoId: TabId;
    activePlaylistId: TabId;
    customizations: Customizations;
    isAdvancedCustomizationCollapsed: boolean;
    includeVideoInPlaylist: boolean;
    playlistEmbedHTML: SafeHtml;
    videoEmbedHTML: SafeHtml;
    constructor(modalService: NgbModal, sanitizer: DomSanitizer);
    show(currentVideoTimestamp?: number, currentPlaylistPosition?: number): void;
    getVideoIframeCode(): string;
    getPlaylistIframeCode(): string;
    getVideoUrl(): string;
    getPlaylistUrl(): string;
    updateEmbedCode(): void;
    notSecure(): boolean;
    isVideoInEmbedTab(): boolean;
    isLocalVideo(): boolean;
    isPrivateVideo(): boolean;
    isPrivatePlaylist(): boolean;
    private getPlaylistOptions;
    private getVideoOptions;
}
export {};
