import { Subject, Subscription } from 'rxjs';
import { OnDestroy, OnInit } from '@angular/core';
import { AuthService, Notifier, ServerService, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { User } from '@shared/models';
export declare class UserInterfaceSettingsComponent extends FormReactive implements OnInit, OnDestroy {
    protected formValidatorService: FormValidatorService;
    private authService;
    private notifier;
    private userService;
    private serverService;
    user: User;
    reactiveUpdate: boolean;
    notifyOnUpdate: boolean;
    userInformationLoaded: Subject<any>;
    formValuesWatcher: Subscription;
    private serverConfig;
    constructor(formValidatorService: FormValidatorService, authService: AuthService, notifier: Notifier, userService: UserService, serverService: ServerService);
    get availableThemes(): string[];
    ngOnInit(): void;
    ngOnDestroy(): void;
    updateInterfaceSettings(): void;
}
