import { Subject, Subscription } from 'rxjs';
import { OnDestroy, OnInit } from '@angular/core';
import { AuthService, Notifier, ServerService, User, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { NSFWPolicyType } from '@shared/models/videos/nsfw-policy.type';
export declare class UserVideoSettingsComponent extends FormReactive implements OnInit, OnDestroy {
    protected formValidatorService: FormValidatorService;
    private authService;
    private notifier;
    private userService;
    private serverService;
    user: User;
    reactiveUpdate: boolean;
    notifyOnUpdate: boolean;
    userInformationLoaded: Subject<any>;
    defaultNSFWPolicy: NSFWPolicyType;
    formValuesWatcher: Subscription;
    constructor(formValidatorService: FormValidatorService, authService: AuthService, notifier: Notifier, userService: UserService, serverService: ServerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    updateDetails(onlyKeys?: string[]): void;
    private handleReactiveUpdate;
    private updateLoggedProfile;
    private updateAnonymousProfile;
}
