import { OnChanges, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, Notifier } from '@app/core';
import { Account, VideoChannel, VideoService } from '@app/shared/shared-main';
import { UserSubscriptionService } from './user-subscription.service';
export declare class SubscribeButtonComponent implements OnInit, OnChanges {
    private authService;
    private router;
    private notifier;
    private userSubscriptionService;
    private videoService;
    /**
     * SubscribeButtonComponent can be used with a single VideoChannel passed as [VideoChannel],
     * or with an account and a full list of that account's videoChannels. The latter is intended
     * to allow mass un/subscription from an account's page, while keeping the channel-centric
     * subscription model.
     */
    account: Account;
    videoChannels: VideoChannel[];
    displayFollowers: boolean;
    size: 'small' | 'normal';
    subscribed: Map<string, boolean>;
    constructor(authService: AuthService, router: Router, notifier: Notifier, userSubscriptionService: UserSubscriptionService, videoService: VideoService);
    get handle(): string;
    get channelHandle(): string;
    get uri(): string;
    get rssUri(): string;
    get videoChannel(): VideoChannel;
    get isAllChannelsSubscribed(): boolean;
    get isAtLeastOneChannelSubscribed(): boolean;
    get isBigButton(): boolean;
    ngOnInit(): void;
    ngOnChanges(): void;
    subscribe(): void;
    localSubscribe(): void;
    unsubscribe(): void;
    localUnsubscribe(): void;
    isUserLoggedIn(): boolean;
    gotoLogin(): void;
    subscribeStatus(subscribed: boolean): string[];
    isSubscribedToAll(): boolean;
    private getChannelHandler;
    private loadSubscribedStatus;
}
