import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ComponentPaginationLight, RestExtractor, RestService } from '@app/core';
import { Video, VideoChannel, VideoService } from '@app/shared/shared-main';
import { ActorFollow, ResultList, VideoSortField } from '@shared/models';
declare type SubscriptionExistResult = {
    [uri: string]: boolean;
};
export declare class UserSubscriptionService {
    private authHttp;
    private restExtractor;
    private videoService;
    private restService;
    static BASE_USER_SUBSCRIPTIONS_URL: string;
    static BASE_VIDEO_CHANNELS_URL: string;
    static BASE_ACCOUNTS_URL: string;
    private existsSubject;
    private readonly existsObservable;
    private myAccountSubscriptionCache;
    private myAccountSubscriptionCacheObservable;
    private myAccountSubscriptionCacheSubject;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor, videoService: VideoService, restService: RestService);
    listFollowers(parameters: {
        pagination: ComponentPaginationLight;
        nameWithHost: string;
        search?: string;
    }): Observable<ResultList<ActorFollow>>;
    getUserSubscriptionVideos(parameters: {
        videoPagination: ComponentPaginationLight;
        sort: VideoSortField;
        skipCount?: boolean;
    }): Observable<ResultList<Video>>;
    /**
     * Subscription part
     */
    deleteSubscription(nameWithHost: string): Observable<boolean>;
    addSubscription(nameWithHost: string): Observable<boolean>;
    listSubscriptions(parameters: {
        pagination: ComponentPaginationLight;
        search: string;
    }): Observable<ResultList<VideoChannel>>;
    /**
     * SubscriptionExist part
     */
    listenToMyAccountSubscriptionCacheSubject(): Observable<SubscriptionExistResult>;
    listenToSubscriptionCacheChange(nameWithHost: string): Observable<boolean>;
    doesSubscriptionExist(nameWithHost: string): Observable<boolean>;
    private doSubscriptionsExist;
}
export {};
