import { Account as AccountInterface, VideoComment as VideoCommentServerModel, VideoCommentAdmin as VideoCommentAdminServerModel } from '@shared/models';
export declare class VideoComment implements VideoCommentServerModel {
    id: number;
    url: string;
    text: string;
    threadId: number;
    inReplyToCommentId: number;
    videoId: number;
    createdAt: Date | string;
    updatedAt: Date | string;
    deletedAt: Date | string;
    isDeleted: boolean;
    account: AccountInterface;
    totalRepliesFromVideoAuthor: number;
    totalReplies: number;
    by: string;
    isLocal: boolean;
    constructor(hash: VideoCommentServerModel);
}
export declare class VideoCommentAdmin implements VideoCommentAdminServerModel {
    id: number;
    url: string;
    text: string;
    textHtml: string;
    threadId: number;
    inReplyToCommentId: number;
    createdAt: Date | string;
    updatedAt: Date | string;
    account: AccountInterface & {
        localUrl?: string;
    };
    localUrl: string;
    video: {
        id: number;
        uuid: string;
        name: string;
        localUrl: string;
    };
    by: string;
    constructor(hash: VideoCommentAdminServerModel, textHtml: string);
}
