import { ElementRef } from '@angular/core';
import { AuthService, HooksService, Notifier } from '@app/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { VideoCaption, VideoFile } from '@shared/models';
import { VideoDetails, VideoService } from '../shared-main';
declare type DownloadType = 'video' | 'subtitles';
declare type FileMetadata = {
    [key: string]: {
        label: string;
        value: string;
    };
};
export declare class VideoDownloadComponent {
    private localeId;
    private notifier;
    private modalService;
    private videoService;
    private auth;
    private hooks;
    modal: ElementRef;
    downloadType: 'direct' | 'torrent';
    resolutionId: number | string;
    subtitleLanguageId: string;
    videoFileMetadataFormat: FileMetadata;
    videoFileMetadataVideoStream: FileMetadata | undefined;
    videoFileMetadataAudioStream: FileMetadata | undefined;
    isAdvancedCustomizationCollapsed: boolean;
    type: DownloadType;
    private activeModal;
    private bytesPipe;
    private numbersPipe;
    private video;
    private videoCaptions;
    constructor(localeId: string, notifier: Notifier, modalService: NgbModal, videoService: VideoService, auth: AuthService, hooks: HooksService);
    get typeText(): string;
    getVideoFiles(): VideoFile[];
    getCaptions(): VideoCaption[];
    show(video: VideoDetails, videoCaptions?: VideoCaption[]): void;
    onClose(): void;
    download(): void;
    getLink(): string;
    onResolutionIdChange(resolutionId: number): Promise<void>;
    onSubtitleIdChange(subtitleId: string): void;
    hasFiles(): boolean;
    getVideoFile(): VideoFile;
    getVideoFileLink(): string;
    hasCaptions(): boolean;
    getCaption(): VideoCaption;
    getCaptionLink(): string;
    isConfidentialVideo(): boolean;
    activateCopiedMessage(): void;
    switchToType(type: DownloadType): void;
    getFileMetadata(): import("@shared/models").VideoFileMetadata;
    private getMetadataFormat;
    private getMetadataStream;
    private hydrateMetadataFromMetadataUrl;
}
export {};
