import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { AuthService } from '@app/core';
import { ServerService } from '@app/core/server/server.service';
import { PeertubeModalService } from '../shared-main';
import { VideoFilters } from './video-filters.model';
export declare class VideoFiltersHeaderComponent implements OnInit, OnDestroy {
    private auth;
    private serverService;
    private fb;
    private modalService;
    filters: VideoFilters;
    displayModerationBlock: boolean;
    hideScope: boolean;
    filtersChanged: EventEmitter<any>;
    areFiltersCollapsed: boolean;
    form: FormGroup;
    private routeSub;
    constructor(auth: AuthService, serverService: ServerService, fb: FormBuilder, modalService: PeertubeModalService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    canSeeAllVideos(): boolean;
    isTrendingSortEnabled(sort: 'most-viewed' | 'hot' | 'best' | 'most-liked'): boolean;
    resetFilter(key: string, canRemove: boolean): void;
    getFilterTitle(canRemove: boolean): string;
    onAccountSettingsClick(event: Event): void;
    private patchForm;
}
