import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { AuthService, ScreenService, ServerService, User } from '@app/core';
import { HTMLServerConfig } from '@shared/models';
import { LinkType } from '../../../types/link.type';
import { ActorAvatarSize } from '../shared-actor-image/actor-avatar.component';
import { Video } from '../shared-main';
import { VideoPlaylistService } from '../shared-video-playlist';
import { VideoActionsDisplayType } from './video-actions-dropdown.component';
export declare type MiniatureDisplayOptions = {
    date?: boolean;
    views?: boolean;
    by?: boolean;
    avatar?: boolean;
    privacyLabel?: boolean;
    privacyText?: boolean;
    state?: boolean;
    blacklistInfo?: boolean;
    nsfw?: boolean;
};
export declare class VideoMiniatureComponent implements OnInit {
    private screenService;
    private serverService;
    private authService;
    private videoPlaylistService;
    private cd;
    private localeId;
    user: User;
    video: Video;
    displayOptions: MiniatureDisplayOptions;
    displayVideoActions: boolean;
    actorImageSize: ActorAvatarSize;
    displayAsRow: boolean;
    videoLinkType: LinkType;
    videoBlocked: EventEmitter<any>;
    videoUnblocked: EventEmitter<any>;
    videoRemoved: EventEmitter<any>;
    videoAccountMuted: EventEmitter<any>;
    videoActionsDisplayOptions: VideoActionsDisplayType;
    showActions: boolean;
    serverConfig: HTMLServerConfig;
    addToWatchLaterText: string;
    addedToWatchLaterText: string;
    inWatchLaterPlaylist: boolean;
    channelLinkTitle: string;
    watchLaterPlaylist: {
        id: number;
        playlistElementId?: number;
    };
    videoRouterLink: string | any[];
    videoHref: string;
    videoTarget: string;
    private ownerDisplayType;
    constructor(screenService: ScreenService, serverService: ServerService, authService: AuthService, videoPlaylistService: VideoPlaylistService, cd: ChangeDetectorRef, localeId: string);
    get authorAccount(): string;
    get authorChannel(): string;
    get isVideoBlur(): boolean;
    ngOnInit(): void;
    buildVideoLink(): void;
    displayOwnerAccount(): boolean;
    displayOwnerVideoChannel(): boolean;
    isUnlistedVideo(): boolean;
    isPrivateVideo(): boolean;
    getStateLabel(video: Video): string;
    loadActions(): void;
    onVideoBlocked(): void;
    onVideoUnblocked(): void;
    onVideoRemoved(): void;
    onVideoAccountMuted(): void;
    isUserLoggedIn(): boolean;
    onWatchLaterClick(currentState: boolean): void;
    addToWatchLater(): void;
    removeFromWatchLater(): void;
    isWatchLaterPlaylistDisplayed(): boolean;
    getClasses(): {
        'display-as-row': boolean;
    };
    private setUpBy;
    private loadWatchLater;
}
