import { Observable, Subject } from 'rxjs';
import { AfterContentInit, EventEmitter, QueryList, TemplateRef } from '@angular/core';
import { ComponentPagination, Notifier, User } from '@app/core';
import { ResultList, VideoSortField } from '@shared/models';
import { PeerTubeTemplateDirective, Video } from '../shared-main';
import { MiniatureDisplayOptions } from './video-miniature.component';
export declare type SelectionType = {
    [id: number]: boolean;
};
export declare class VideosSelectionComponent implements AfterContentInit {
    private notifier;
    user: User;
    pagination: ComponentPagination;
    titlePage: string;
    miniatureDisplayOptions: MiniatureDisplayOptions;
    noResultMessage: string;
    enableSelection: boolean;
    disabled: boolean;
    getVideosObservableFunction: (page: number, sort?: VideoSortField) => Observable<ResultList<Video>>;
    templates: QueryList<PeerTubeTemplateDirective<'rowButtons' | 'globalButtons'>>;
    selectionChange: EventEmitter<SelectionType>;
    videosModelChange: EventEmitter<Video[]>;
    _selection: SelectionType;
    rowButtonsTemplate: TemplateRef<any>;
    globalButtonsTemplate: TemplateRef<any>;
    videos: Video[];
    sort: VideoSortField;
    onDataSubject: Subject<any[]>;
    hasDoneFirstQuery: boolean;
    private lastQueryLength;
    constructor(notifier: Notifier);
    get selection(): SelectionType;
    set selection(selection: SelectionType);
    get videosModel(): Video[];
    set videosModel(videos: Video[]);
    ngAfterContentInit(): void;
    getVideosObservable(page: number): Observable<ResultList<Video>>;
    abortSelectionMode(): void;
    isInSelectionMode(): boolean;
    videoById(index: number, video: Video): number;
    onNearOfBottom(): void;
    loadMoreVideos(reset?: boolean): void;
    reloadVideos(): void;
    removeVideoFromArray(video: Video): void;
}
