import { Subject } from 'rxjs';
import { ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { AuthService, DisableForReuseHook, Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { Video } from '@shared/models';
import { VideoPlaylistService } from './video-playlist.service';
declare type PlaylistElement = {
    enabled: boolean;
    playlistElementId?: number;
    startTimestamp?: number;
    stopTimestamp?: number;
};
declare type PlaylistSummary = {
    id: number;
    displayName: string;
    optionalRowDisplayed: boolean;
    elements: PlaylistElement[];
};
export declare class VideoAddToPlaylistComponent extends FormReactive implements OnInit, OnChanges, OnDestroy, DisableForReuseHook {
    protected formValidatorService: FormValidatorService;
    private authService;
    private notifier;
    private videoPlaylistService;
    private cd;
    video: Video;
    currentVideoTimestamp: number;
    lazyLoad: boolean;
    isNewPlaylistBlockOpened: boolean;
    videoPlaylistSearch: string;
    videoPlaylistSearchChanged: Subject<void>;
    videoPlaylists: PlaylistSummary[];
    private disabled;
    private listenToPlaylistChangeSub;
    private playlistsData;
    constructor(formValidatorService: FormValidatorService, authService: AuthService, notifier: Notifier, videoPlaylistService: VideoPlaylistService, cd: ChangeDetectorRef);
    get user(): import("@app/core").AuthUser;
    ngOnInit(): void;
    ngOnChanges(simpleChanges: SimpleChanges): void;
    ngOnDestroy(): void;
    disableForReuse(): void;
    enabledForReuse(): void;
    reload(): void;
    load(): void;
    openChange(opened: boolean): void;
    openCreateBlock(event: Event): void;
    toggleMainPlaylist(e: Event, playlist: PlaylistSummary): void;
    toggleOptionalPlaylist(e: Event, playlist: PlaylistSummary, element: PlaylistElement, startTimestamp: number, stopTimestamp: number): void;
    createPlaylist(): void;
    onVideoPlaylistSearchChanged(): void;
    isPrimaryCheckboxChecked(playlist: PlaylistSummary): boolean;
    toggleOptionalRow(playlist: PlaylistSummary): void;
    getPrimaryInputName(playlist: PlaylistSummary): string;
    getOptionalInputName(playlist: PlaylistSummary, element?: PlaylistElement): string;
    buildOptionalRowElements(playlist: PlaylistSummary): PlaylistElement[];
    isPresentMultipleTimes(playlist: PlaylistSummary): boolean;
    onElementTimestampUpdate(playlist: PlaylistSummary, element: PlaylistElement): void;
    private isOptionalRowDisplayed;
    private removeVideoFromPlaylist;
    private listenToVideoPlaylistChange;
    private unsubscribePlaylistChanges;
    private rebuildPlaylists;
    private addVideoInPlaylist;
    private formatTimestamp;
}
export {};
