import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { AuthService, Notifier, ServerService } from '@app/core';
import { Video } from '@app/shared/shared-main';
import { NgbDropdown } from '@ng-bootstrap/ng-bootstrap';
import { VideoPlaylistElement } from './video-playlist-element.model';
import { VideoPlaylist } from './video-playlist.model';
import { VideoPlaylistService } from './video-playlist.service';
export declare class VideoPlaylistElementMiniatureComponent implements OnInit {
    private authService;
    private serverService;
    private notifier;
    private videoPlaylistService;
    private cdr;
    moreDropdown: NgbDropdown;
    playlist: VideoPlaylist;
    playlistElement: VideoPlaylistElement;
    owned: boolean;
    playing: boolean;
    rowLink: boolean;
    accountLink: boolean;
    position: number;
    touchScreenEditButton: boolean;
    elementRemoved: EventEmitter<VideoPlaylistElement>;
    displayTimestampOptions: boolean;
    timestampOptions: {
        startTimestampEnabled: boolean;
        startTimestamp: number;
        stopTimestampEnabled: boolean;
        stopTimestamp: number;
    };
    private serverConfig;
    constructor(authService: AuthService, serverService: ServerService, notifier: Notifier, videoPlaylistService: VideoPlaylistService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    isUnavailable(e: VideoPlaylistElement): boolean;
    isPrivate(e: VideoPlaylistElement): boolean;
    isDeleted(e: VideoPlaylistElement): boolean;
    buildRouterLink(): string;
    buildRouterQuery(): {
        playlistPosition?: undefined;
        start?: undefined;
        stop?: undefined;
        resume?: undefined;
    } | {
        playlistPosition: number;
        start: number;
        stop: number;
        resume: boolean;
    };
    isVideoBlur(video: Video): boolean;
    removeFromPlaylist(playlistElement: VideoPlaylistElement): void;
    updateTimestamps(playlistElement: VideoPlaylistElement): void;
    formatTimestamp(playlistElement: VideoPlaylistElement): string;
    onDropdownOpenChange(): void;
    toggleDisplayTimestampsOptions(event: Event, playlistElement: VideoPlaylistElement): void;
}
