import { AccountSummary, VideoChannelSummary, VideoConstant, VideoPlaylist as ServerVideoPlaylist, VideoPlaylistPrivacy, VideoPlaylistType } from '@shared/models';
export declare class VideoPlaylist implements ServerVideoPlaylist {
    id: number;
    uuid: string;
    shortUUID: string;
    isLocal: boolean;
    url: string;
    displayName: string;
    description: string;
    privacy: VideoConstant<VideoPlaylistPrivacy>;
    videosLength: number;
    type: VideoConstant<VideoPlaylistType>;
    createdAt: Date | string;
    updatedAt: Date | string;
    ownerAccount: AccountSummary;
    videoChannel?: VideoChannelSummary;
    thumbnailPath: string;
    thumbnailUrl: string;
    embedPath: string;
    embedUrl: string;
    ownerBy: string;
    videoChannelBy?: string;
    static buildWatchUrl(playlist: Pick<VideoPlaylist, 'uuid' | 'shortUUID'>): string;
    constructor(hash: ServerVideoPlaylist, translations: {
        [id: string]: string;
    });
}
