import Hlsjs from 'hls.js';
import videojs from 'video.js';
declare type HookFn = (player: videojs.Player, hljs: Hlsjs) => void;
declare const registerSourceHandler: (vjs: typeof videojs) => void;
declare const registerConfigPlugin: (vjs: typeof videojs) => void;
declare class Html5Hlsjs {
    private static readonly hooks;
    private readonly videoElement;
    private readonly errorCounts;
    private readonly player;
    private readonly tech;
    private readonly source;
    private readonly vjs;
    private hls;
    private hlsjsConfig;
    private _duration;
    private metadata;
    private isLive;
    private dvrDuration;
    private edgeMargin;
    private handlers;
    constructor(vjs: typeof videojs, source: videojs.Tech.SourceObject, tech: videojs.Tech);
    duration(): number;
    seekable(): videojs.TimeRange;
    dispose(): void;
    static addHook(type: string, callback: HookFn): void;
    static removeHook(type: string, callback: HookFn): boolean;
    private _executeHooksFor;
    private _handleMediaError;
    private _handleNetworkError;
    private _onError;
    private buildLevelLabel;
    private _notifyVideoQualities;
    private _startLoad;
    private _oneLevelObjClone;
    private _onMetaData;
    private _initHlsjs;
    private initialize;
}
export { Html5Hlsjs, registerSourceHandler, registerConfigPlugin };
