import Hlsjs from 'hls.js';
import videojs from 'video.js';
import { P2PMediaLoaderPluginOptions } from '../peertube-videojs-typings';
declare const Plugin: {
    new (player: import("video.js").VideoJsPlayer, options?: any): videojs.Plugin;
    prototype: videojs.Plugin;
    BASE_PLUGIN_NAME: string;
    deregisterPlugin(name: string): void;
    getPlugin(name: string): any;
    getPluginVersion(name: string): string;
    getPlugins(names?: string[]): {
        [name: string]: videojs.Plugin;
    };
    isBasic(plugin: string | (() => any)): boolean;
    registerPlugin<T, K>(name: string, plugin: (this: import("video.js").VideoJsPlayer, ...options: K[]) => T): (...options: K[]) => T;
    registerPlugin<T_1 extends any>(name: string, plugin: T_1): () => T_1;
};
declare class P2pMediaLoaderPlugin extends Plugin {
    private readonly CONSTANTS;
    private readonly options;
    private hlsjs;
    private p2pEngine;
    private statsP2PBytes;
    private statsHTTPBytes;
    private startTime;
    private networkInfoInterval;
    constructor(player: videojs.Player, options?: P2PMediaLoaderPluginOptions);
    dispose(): void;
    getCurrentLevel(): import("hls.js").Level;
    getLiveLatency(): number;
    getHLSJS(): Hlsjs;
    private initializeCore;
    private initializePlugin;
    private runStats;
    private arraySum;
}
export { P2pMediaLoaderPlugin };
