import videojs from 'video.js';
import { PeerTubePluginOptions } from './peertube-videojs-typings';
declare const Plugin: {
    new (player: import("video.js").VideoJsPlayer, options?: any): videojs.Plugin;
    prototype: videojs.Plugin;
    BASE_PLUGIN_NAME: string;
    deregisterPlugin(name: string): void;
    getPlugin(name: string): any;
    getPluginVersion(name: string): string;
    getPlugins(names?: string[]): {
        [name: string]: videojs.Plugin;
    };
    isBasic(plugin: string | (() => any)): boolean;
    registerPlugin<T, K>(name: string, plugin: (this: import("video.js").VideoJsPlayer, ...options: K[]) => T): (...options: K[]) => T;
    registerPlugin<T_1 extends any>(name: string, plugin: T_1): () => T_1;
};
declare class PeerTubePlugin extends Plugin {
    private readonly videoViewUrl;
    private readonly videoDuration;
    private readonly CONSTANTS;
    private videoCaptions;
    private defaultSubtitle;
    private videoViewInterval;
    private userWatchingVideoInterval;
    private isLive;
    private menuOpened;
    private mouseInControlBar;
    private readonly savedInactivityTimeout;
    constructor(player: videojs.Player, options?: PeerTubePluginOptions);
    dispose(): void;
    onMenuOpen(): void;
    onMenuClosed(): void;
    private initializePlayer;
    private runViewAdd;
    private runUserWatchVideo;
    private clearVideoViewInterval;
    private addViewToVideo;
    private notifyUserIsWatching;
    private listenControlBarMouse;
    private alterInactivity;
    private isTouchEnabled;
    private initCaptions;
    private initSmoothProgressBar;
}
export { PeerTubePlugin };
