import videojs from 'video.js';
import { PeerTubeResolution } from './peertube-videojs-typings';
declare const Plugin: {
    new (player: import("video.js").VideoJsPlayer, options?: any): videojs.Plugin;
    prototype: videojs.Plugin;
    BASE_PLUGIN_NAME: string;
    deregisterPlugin(name: string): void;
    getPlugin(name: string): any;
    getPluginVersion(name: string): string;
    getPlugins(names?: string[]): {
        [name: string]: videojs.Plugin;
    };
    isBasic(plugin: string | (() => any)): boolean;
    registerPlugin<T, K>(name: string, plugin: (this: import("video.js").VideoJsPlayer, ...options: K[]) => T): (...options: K[]) => T;
    registerPlugin<T_1 extends any>(name: string, plugin: T_1): () => T_1;
};
declare class PeerTubeResolutionsPlugin extends Plugin {
    private currentSelection;
    private resolutions;
    private autoResolutionChosenId;
    private autoResolutionEnabled;
    add(resolutions: PeerTubeResolution[]): void;
    getResolutions(): PeerTubeResolution[];
    getSelected(): PeerTubeResolution;
    getAutoResolutionChosen(): PeerTubeResolution;
    select(options: {
        id: number;
        byEngine: boolean;
        autoResolutionChosenId?: number;
    }): void;
    disableAutoResolution(): void;
    enabledAutoResolution(): void;
    isAutoResolutionEnabeld(): boolean;
    private sort;
}
export { PeerTubeResolutionsPlugin };
