import videojs from 'video.js';
interface StatsCardOptions extends videojs.ComponentOptions {
    videoUUID: string;
    videoIsLive: boolean;
    mode: 'webtorrent' | 'p2p-media-loader';
}
interface PlayerNetworkInfo {
    downloadSpeed?: string;
    uploadSpeed?: string;
    totalDownloaded?: string;
    totalUploaded?: string;
    numPeers?: number;
    averageBandwidth?: string;
    downloadedFromServer?: string;
    downloadedFromPeers?: string;
}
declare const Component: {
    new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions, ready?: videojs.Component.ReadyCallback): videojs.Component;
    prototype: videojs.Component;
    getComponent(name: "button" | "Button"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.Button;
        prototype: videojs.Button;
    };
    getComponent(name: "ClickableComponent" | "clickablecomponent"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.ClickableComponent;
        prototype: videojs.ClickableComponent;
    };
    getComponent(name: "ModalDialog" | "modaldialog"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ModalDialogOptions): videojs.ModalDialog;
        prototype: videojs.ModalDialog;
    };
    getComponent(name: "menu" | "Menu"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuOptions): videojs.Menu;
        prototype: videojs.Menu;
    };
    getComponent(name: "MenuButton" | "menubutton"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuButtonOptions): videojs.MenuButton;
        prototype: videojs.MenuButton;
    };
    getComponent(name: "MenuItem" | "menuitem"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuItemOptions): videojs.MenuItem;
        prototype: videojs.MenuItem;
    };
    getComponent(name: "MouseTimeDisplay" | "mouseTimeDisplay"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.MouseTimeDisplay;
        prototype: videojs.MouseTimeDisplay;
    };
    getComponent(name: "Spacer" | "spacer"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions, ready?: videojs.Component.ReadyCallback): videojs.Spacer;
        prototype: videojs.Spacer;
    };
    getComponent(name: "Player" | "player"): {
        new (player: import("video.js").VideoJsPlayer, options?: import("video.js").VideoJsPlayerOptions): import("video.js").VideoJsPlayer;
        prototype: import("video.js").VideoJsPlayer;
        getTagSettings(tag: Element): any;
    };
    getComponent(name: "timeTooltip" | "TimeTooltip"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.TimeToolTip;
        prototype: videojs.TimeToolTip;
    };
    getComponent(name: string): any;
    registerComponent(name: string, ComponentToRegister: any): any;
};
declare class StatsCard extends Component {
    options_: StatsCardOptions;
    container: HTMLDivElement;
    list: HTMLDivElement;
    closeButton: HTMLElement;
    updateInterval: any;
    mode: 'webtorrent' | 'p2p-media-loader';
    metadataStore: any;
    intervalMs: number;
    playerNetworkInfo: PlayerNetworkInfo;
    createEl(): HTMLDivElement;
    toggle(): void;
    show(): void;
    hide(): void;
    private buildHLSOptions;
    private buildWebTorrentOptions;
    private getListTemplate;
    private getMainTemplate;
    private buildElement;
    private timeRangesToString;
}
export { StatsCard, StatsCardOptions };
