import videojs from 'video.js';
import { SettingsDialog } from './settings-dialog';
import { SettingsPanel } from './settings-panel';
import { SettingsPanelChild } from './settings-panel-child';
declare const Button: {
    new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.Button;
    prototype: videojs.Button;
};
export interface SettingsButtonOptions extends videojs.ComponentOptions {
    entries: any[];
    setup?: {
        maxHeightOffset: number;
    };
}
declare class SettingsButton extends Button {
    dialog: SettingsDialog;
    dialogEl: HTMLElement;
    menu: videojs.Menu;
    panel: SettingsPanel;
    panelChild: SettingsPanelChild;
    addSettingsItemHandler: typeof SettingsButton.prototype.onAddSettingsItem;
    disposeSettingsItemHandler: typeof SettingsButton.prototype.onDisposeSettingsItem;
    documentClickHandler: typeof SettingsButton.prototype.onDocumentClick;
    userInactiveHandler: typeof SettingsButton.prototype.onUserInactive;
    private settingsButtonOptions;
    constructor(player: videojs.Player, options?: SettingsButtonOptions);
    onDocumentClick(event: MouseEvent): void;
    onDisposeSettingsItem(event: any, name: string): void;
    dispose(): void;
    onAddSettingsItem(event: any, data: any): void;
    onUserInactive(): void;
    bindEvents(): void;
    buildCSSClass(): string;
    handleClick(): void;
    showDialog(): void;
    hideDialog(): void;
    getComponentSize(element: videojs.Component | HTMLElement): number[];
    setDialogSize([width, height]: number[]): void;
    buildMenu(): void;
    addMenuItem(entry: any, options: any): void;
    resetChildren(): void;
    /**
     * Hide all the sub menus
     */
    hideChildren(): void;
    isInIframe(): boolean;
}
export { SettingsButton };
