import videojs from 'video.js';
import { SettingsDialog } from './settings-dialog';
import { SettingsButton } from './settings-menu-button';
import { SettingsPanel } from './settings-panel';
import { SettingsPanelChild } from './settings-panel-child';
declare const MenuItem: {
    new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuItemOptions): videojs.MenuItem;
    prototype: videojs.MenuItem;
};
export interface SettingsMenuItemOptions extends videojs.MenuItemOptions {
    entry: string;
    menuButton: SettingsButton;
}
declare class SettingsMenuItem extends MenuItem {
    settingsButton: SettingsButton;
    dialog: SettingsDialog;
    mainMenu: videojs.Menu;
    panel: SettingsPanel;
    panelChild: SettingsPanelChild;
    panelChildEl: HTMLElement;
    size: number[];
    menuToLoad: string;
    subMenu: SettingsButton;
    submenuClickHandler: typeof SettingsMenuItem.prototype.onSubmenuClick;
    transitionEndHandler: typeof SettingsMenuItem.prototype.onTransitionEnd;
    settingsSubMenuTitleEl_: HTMLElement;
    settingsSubMenuValueEl_: HTMLElement;
    settingsSubMenuEl_: HTMLElement;
    constructor(player: videojs.Player, options?: SettingsMenuItemOptions);
    eventHandlers(): void;
    onSubmenuClick(event: any): void;
    /**
     * Create the component's DOM element
     *
     */
    createEl(): HTMLLIElement;
    /**
     * Handle click on menu item
     *
     * @method handleClick
     */
    handleClick(event: videojs.EventTarget.Event): void;
    /**
     * Create back button
     *
     * @method createBackButton
     */
    createBackButton(): void;
    /**
     * Add/remove prefixed event listener for CSS Transition
     *
     * @method PrefixedEvent
     */
    PrefixedEvent(element: any, type: any, callback: any, action?: string): void;
    onTransitionEnd(event: any): void;
    reset(): void;
    loadMainMenu(): void;
    build(): void;
    update(event?: any): void;
    bindClickEvents(): void;
    setSize(): void;
    setMargin(): void;
    /**
     * Hide the sub menu
     */
    hideSubMenu(): void;
}
export { SettingsMenuItem };
