/// <reference types="node" />
import { EventEmitter } from 'events';
export declare class PeertubeChunkStore extends EventEmitter {
    private static readonly BUFFERING_PUT_MS;
    private static readonly CLEANER_INTERVAL_MS;
    private static readonly CLEANER_EXPIRATION_MS;
    chunkLength: number;
    private pendingPut;
    private memoryChunks;
    private databaseName;
    private putBulkTimeout;
    private cleanerInterval;
    private db;
    private expirationDB;
    private readonly length;
    private readonly lastChunkLength;
    private readonly lastChunkIndex;
    constructor(chunkLength: number, opts: any);
    put(index: number, buf: Buffer, cb: (err?: Error) => void): void;
    get(index: number, opts: any, cb: (err?: Error, buf?: Buffer) => void): void;
    close(cb: (err?: Error) => void): Promise<void>;
    destroy(cb: (err?: Error) => void): Promise<void>;
    private runCleaner;
    private checkExpiration;
    private dropDatabase;
    private nextTick;
}
