import videojs from 'video.js';
import * as WebTorrent from 'webtorrent';
import { VideoFile } from '@shared/models';
import { WebtorrentPluginOptions } from '../peertube-videojs-typings';
declare const Plugin: {
    new (player: import("video.js").VideoJsPlayer, options?: any): videojs.Plugin;
    prototype: videojs.Plugin;
    BASE_PLUGIN_NAME: string;
    deregisterPlugin(name: string): void;
    getPlugin(name: string): any;
    getPluginVersion(name: string): string;
    getPlugins(names?: string[]): {
        [name: string]: videojs.Plugin;
    };
    isBasic(plugin: string | (() => any)): boolean;
    registerPlugin<T, K>(name: string, plugin: (this: import("video.js").VideoJsPlayer, ...options: K[]) => T): (...options: K[]) => T;
    registerPlugin<T_1 extends any>(name: string, plugin: T_1): () => T_1;
};
declare class WebTorrentPlugin extends Plugin {
    readonly videoFiles: VideoFile[];
    private readonly playerElement;
    private readonly autoplay;
    private readonly startTime;
    private readonly savePlayerSrcFunction;
    private readonly videoDuration;
    private readonly CONSTANTS;
    private readonly webtorrent;
    private currentVideoFile;
    private torrent;
    private renderer;
    private fakeRenderer;
    private destroyingFakeRenderer;
    private autoResolution;
    private autoResolutionPossible;
    private isAutoResolutionObservation;
    private playerRefusedP2P;
    private torrentInfoInterval;
    private autoQualityInterval;
    private addTorrentDelay;
    private qualityObservationTimer;
    private runAutoQualitySchedulerTimer;
    private downloadSpeeds;
    constructor(player: videojs.Player, options?: WebtorrentPluginOptions);
    dispose(): void;
    getCurrentResolutionId(): import("@shared/models").VideoResolution | -1;
    updateVideoFile(videoFile?: VideoFile, options?: {
        forcePlay?: boolean;
        seek?: number;
        delay?: number;
    }, done?: () => void): void | Promise<void>;
    updateEngineResolution(resolutionId: number, delay?: number): void;
    flushVideoFile(videoFile: VideoFile, destroyRenderer?: boolean): void;
    disableAutoResolution(): void;
    isAutoResolutionPossible(): boolean;
    getTorrent(): WebTorrent.Torrent;
    getCurrentVideoFile(): VideoFile;
    changeQuality(id: number): void;
    private addTorrent;
    private tryToPlay;
    private seek;
    private getAppropriateFile;
    private getAndSaveActualDownloadSpeed;
    private initializePlayer;
    private runAutoQualityScheduler;
    private isPlayerWaiting;
    private runTorrentInfoScheduler;
    private fallbackToHttp;
    private handleError;
    private enableErrorDisplay;
    private disableErrorDisplay;
    private pickAverageVideoFile;
    private stopTorrent;
    private renderFileInFakeElement;
    private destroyFakeRenderer;
    private buildQualities;
    private buildQualityLabel;
    private selectAppropriateResolution;
}
export { WebTorrentPlugin };
