import './embed.scss';
import videojs from 'video.js';
import { HTMLServerConfig } from '../../../../shared/models';
import { PlayerMode } from '../../assets/player/peertube-player-manager';
import { Tokens } from '../../root-helpers/users';
import { PeerTubeEmbedApi } from './embed-api';
declare type Translations = {
    [id: string]: string;
};
export declare class PeerTubeEmbed {
    private readonly videoWrapperId;
    playerElement: HTMLVideoElement;
    player: videojs.Player;
    api: PeerTubeEmbedApi;
    autoplay: boolean;
    controls: boolean;
    muted: boolean;
    loop: boolean;
    subtitle: string;
    enableApi: boolean;
    startTime: number | string;
    stopTime: number | string;
    title: boolean;
    warningTitle: boolean;
    peertubeLink: boolean;
    bigPlayBackgroundColor: string;
    foregroundColor: string;
    mode: PlayerMode;
    scope: string;
    userTokens: Tokens;
    headers: Headers;
    LOCAL_STORAGE_OAUTH_CLIENT_KEYS: {
        CLIENT_ID: string;
        CLIENT_SECRET: string;
    };
    config: HTMLServerConfig;
    private translationsPromise;
    private PeertubePlayerManagerModulePromise;
    private playlist;
    private playlistElements;
    private currentPlaylistElement;
    private readonly wrapperElement;
    private pluginsManager;
    constructor(videoWrapperId: string);
    static main(): Promise<void>;
    getVideoUrl(id: string): string;
    refreshFetch(url: string, options?: RequestInit): Promise<Response>;
    getPlaylistUrl(id: string): string;
    loadVideoInfo(videoId: string): Promise<Response>;
    loadVideoCaptions(videoId: string): Promise<Response>;
    loadPlaylistInfo(playlistId: string): Promise<Response>;
    loadPlaylistElements(playlistId: string, start?: number): Promise<Response>;
    removeElement(element: HTMLElement): void;
    displayError(text: string, translations?: Translations): void;
    videoNotFound(translations?: Translations): void;
    videoFetchError(translations?: Translations): void;
    playlistNotFound(translations?: Translations): void;
    playlistFetchError(translations?: Translations): void;
    getParamToggle(params: URLSearchParams, name: string, defaultValue?: boolean): boolean;
    getParamString(params: URLSearchParams, name: string, defaultValue?: string): string;
    playNextVideo(): Promise<void>;
    playPreviousVideo(): Promise<void>;
    getCurrentPosition(): number;
    init(): Promise<void>;
    private initializeApi;
    private loadParams;
    private loadAllPlaylistVideos;
    private loadPlaylist;
    private loadVideo;
    private buildPlaylistManager;
    private loadVideoAndBuildPlayer;
    private nextVideoTitle;
    private getNextPlaylistElement;
    private getPreviousPlaylistElement;
    private buildVideoPlayer;
    private initCore;
    private handleError;
    private buildDock;
    private buildCSS;
    private buildCaptions;
    private loadPlaceholder;
    private removePlaceholder;
    private getPlaceholderElement;
    private setHeadersFromTokens;
    private removeTokensFromHeaders;
    private getResourceId;
    private isPlaylistEmbed;
    private loadPlugins;
    private buildPeerTubeHelpers;
}
export {};
